Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorChristian W. Damus2016-01-17 12:27:59 -0500
committerChristian W. Damus2016-01-22 10:57:11 -0500
commitb089eab1fca586752027404cc398a173237337f8 (patch)
tree3d5f106bd6ba19ab6364284dec8cd34341cfd758 /extraplugins
parente8587f9c60ed458d6daee5128186f5b1ee54ac00 (diff)
downloadorg.eclipse.papyrus-b089eab1fca586752027404cc398a173237337f8.tar.gz
org.eclipse.papyrus-b089eab1fca586752027404cc398a173237337f8.tar.xz
org.eclipse.papyrus-b089eab1fca586752027404cc398a173237337f8.zip
Bug 485220: [Architecture] Provide a more modular architecture
https://bugs.eclipse.org/bugs/show_bug.cgi?id=485220 Move UI-dependent APIs from the org.eclipse.papyrus.infra.tools bundle to org.eclipse.papyrus.infra.ui. Accordingly move tests into a new org.eclipse.papyrus.infra.ui.tests bundle. Two crucial UI dependencies are inverted by introduction of new OSGi services with core interfaces specified in the non-UI layer: * IExecutorService extends Java Platform's ExecutorService with APIs for synchronous execution (a la Display.syncExec). A new CoreExecutors class in the infra.tools bundle supplies the instance provided by the OSGi service implementation in the infra.ui bundle. This provides compatibility for clients of various UIUtil APIs that they can no longer access * IContextualServiceRegistryTracker abstracts the concept of the default ServicesRegistry found in the currently active editor, which the ServiceUtilsForHandlers class (and hence all of its clients) relies on. Again an OSGi service implementation in the infra.ui bundle supplies the implementation of this tracker, which is exposed in infra.core through the service-utils API Also move UI-dependent APIs from the org.eclipse.papyrus.infra.core bundle into org.eclipse.papyrus.infra.ui. This includes * moving the 'papyrusDiagram' and 'papyrusContentOutline' extension points into the org.eclipse.papyrus.infra.ui namespace * moving various UI-related services such as EditorLifeycleManager, SaveLayoutBeforeClose, and the IMultiDiagramEditor, itself, into the org.eclipse.papyrus.infra.ui bundle This necessitates not only widespread refactorings on the moved APIs, but also concomitant move of other APIs in other bundles because they cannot plausibly use these moved APIs from their new home in org.eclipse.papyrus.infra.ui and/or they cannot reasonably also be moved to the UI bundle and/or they must be used by bundles that now have no UI dependency: * the DI/sash-windows EMF model is moved out of infra.core.sasheditor.di bundle into a new model-only org.eclipse.papyrus.infra.sashwindows.di bundle (which symbolic name incidentally now better reflects the contained Java package names) * the IPageManager and ILocalPageService interfaces are moved out of infra.core.sasheditor.di bundle because they need to remain accessible by headless code such as the edit advices that ensure deletion of sash-model pages for notations that are deleted. These are now in a package named org.eclipse.papyrus.infra.code.sashwindows.di.service. Accordingly the class hierarchy implementing the IPageManager interface is changed: the obsolete PageMngrImpl is deleted, replaced by a BasicPageManagerImpl which now the PageManagerImpl extends. A service factory creates the basic page manager in a headless context, but is overridden by the UI-aware implementation when the UI bundles are installed * the MultiDiagramEditorGefDelegate (which has a GEF 3 dependency) is moved from the org.eclipse.papyrus.infra.core.sasheditor bundle to a new org.eclipse.papyrus.infra.gmfdiag.gef bundle. Its usage for an adapter of ActionRegistry type is extracted out of the CoreMultiDiagramEditor class into a new external adapter-factory in the infra.gmfdiag.gef bundle Tests all still pass (inasmuch as they do in the nightly master builds). Change-Id: I573dee5d9312d6e5746d74575350d0152b591ab3
Diffstat (limited to 'extraplugins')
-rw-r--r--extraplugins/EFFBD/org.eclipse.papyrus.effbd/META-INF/MANIFEST.MF3
-rw-r--r--extraplugins/adl4eclipse/org.eclipse.papyrus.adl4eclipsetool.assistant/META-INF/MANIFEST.MF3
-rw-r--r--extraplugins/adl4eclipse/org.eclipse.papyrus.adl4eclipsetool.assistant/src/org/eclipse/papyrus/adltool/assistant/ADLToolAbstractHandler.java2
-rw-r--r--extraplugins/bpmn/org.eclipse.papyrus.bpmn.diagram.common/META-INF/MANIFEST.MF3
-rw-r--r--extraplugins/bpmn/org.eclipse.papyrus.bpmn.diagram.common/plugin.xml2
-rw-r--r--extraplugins/cdo/org.eclipse.papyrus.cdo.core/META-INF/MANIFEST.MF37
-rw-r--r--extraplugins/cdo/org.eclipse.papyrus.cdo.ui/META-INF/MANIFEST.MF26
-rw-r--r--extraplugins/cdo/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/editors/PapyrusCDOEditorInput.java2
-rw-r--r--extraplugins/cdo/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/editors/PapyrusCDOEditorManager.java4
-rw-r--r--extraplugins/cdo/org.eclipse.papyrus.cdo.uml.search.ui/META-INF/MANIFEST.MF6
-rw-r--r--extraplugins/cdo/org.eclipse.papyrus.cdo.uml.search.ui/src/org/eclipse/papyrus/cdo/uml/search/internal/ui/open/CDOOpenElementService.java4
-rw-r--r--extraplugins/diagramtemplate/org.eclipse.papyrus.diagramtemplate.editor/META-INF/MANIFEST.MF4
-rw-r--r--extraplugins/diagramtemplate/org.eclipse.papyrus.diagramtemplate.editor/src/org/eclipse/papyrus/diagramtemplate/editor/provider/DiagramDefinitionLabelProvider.java2
-rw-r--r--extraplugins/diagramtemplate/org.eclipse.papyrus.diagramtemplate.editor/src/org/eclipse/papyrus/diagramtemplate/editor/provider/DiagramKindContentProvider.java2
-rw-r--r--extraplugins/diagramtemplate/org.eclipse.papyrus.diagramtemplate.editor/src/org/eclipse/papyrus/diagramtemplate/launcher/DiagramTemplateLauncher.java4
-rw-r--r--extraplugins/eastadl/org.eclipse.papyrus.eastadl.nattable.menu/META-INF/MANIFEST.MF3
-rw-r--r--extraplugins/eastadl/org.eclipse.papyrus.eastadl.service.types/META-INF/MANIFEST.MF3
-rw-r--r--extraplugins/eastadl/org.eclipse.papyrus.eastadl.service.types/src/org/eclipse/papyrus/eastadl/service/types/menu/AbstractCreateEastadlChildMenu.java2
-rw-r--r--extraplugins/layers/org.eclipse.papyrus.layers.runtime/plugin.xml2
-rw-r--r--extraplugins/layers/org.eclipse.papyrus.layers.stackmodel.diagram/META-INF/MANIFEST.MF4
-rw-r--r--extraplugins/layers/org.eclipse.papyrus.layers.stackmodel.diagram/plugin.xml2
-rw-r--r--extraplugins/layers/org.eclipse.papyrus.layers.stackmodel.diagram/src/org/eclipse/papyrus/layers/stackmodel/diagram/LayersTreeDiagramEditorFactory.java10
-rw-r--r--extraplugins/layers/org.eclipse.papyrus.layers.stackmodel.diagram/src/org/eclipse/papyrus/layers/stackmodel/diagram/ui/handlers/AbstractLayerCommand.java8
-rw-r--r--extraplugins/layers/org.eclipse.papyrus.layers.ui/META-INF/MANIFEST.MF3
-rw-r--r--extraplugins/layers/org.eclipse.papyrus.layers.ui/src/org/eclipse/papyrus/layers3/ui/commands/AbstractLayerStackCommand.java8
-rw-r--r--extraplugins/layers/org.eclipse.papyrus.layers.ui/src/org/eclipse/papyrus/layers3/ui/commands/AbstractLayersCommand.java10
-rw-r--r--extraplugins/layers/org.eclipse.papyrus.layers.ui/src/org/eclipse/papyrus/layers3/ui/handlers/AttachDiagramSelectedItemsToCurrentLayer.java10
-rw-r--r--extraplugins/layers/org.eclipse.papyrus.layers.ui/src/org/eclipse/papyrus/layers3/ui/handlers/RemoveDiagramSelectedItemsFromCurrentLayer.java10
-rw-r--r--extraplugins/layers/org.eclipse.papyrus.layers.ui/src/org/eclipse/papyrus/layers3/ui/utils/HandlersUtils.java10
-rw-r--r--extraplugins/marte/org.eclipse.papyrus.marte.vsl.ui/META-INF/MANIFEST.MF3
-rw-r--r--extraplugins/marte/org.eclipse.papyrus.marte.vsl.ui/src/org/eclipse/papyrus/marte/vsl/ui/contentassist/CopyOfVSLProposalProvider.java2
-rw-r--r--extraplugins/qompass/codegen/cpp/org.eclipse.papyrus.texteditor.cdt/META-INF/MANIFEST.MF6
-rw-r--r--extraplugins/qompass/codegen/cpp/org.eclipse.papyrus.texteditor.cdt/plugin.xml2
-rw-r--r--extraplugins/qompass/codegen/cpp/org.eclipse.papyrus.texteditor.cdt/src/org/eclipse/papyrus/texteditor/cdt/CommandSupport.java2
-rw-r--r--extraplugins/qompass/codegen/cpp/org.eclipse.papyrus.texteditor.cdt/src/org/eclipse/papyrus/texteditor/cdt/editor/PapyrusCDTEditor.java8
-rw-r--r--extraplugins/qompass/codegen/cpp/org.eclipse.papyrus.texteditor.cdt/src/org/eclipse/papyrus/texteditor/cdt/factory/PapyrusCDTEditorFactory.java8
-rw-r--r--extraplugins/qompass/codegen/cpp/org.eclipse.papyrus.texteditor.cdt/src/org/eclipse/papyrus/texteditor/cdt/handler/PapyrusCDTEditorHandler.java36
-rw-r--r--extraplugins/qompass/codegen/cpp/org.eclipse.papyrus.views.cpp/META-INF/MANIFEST.MF3
-rw-r--r--extraplugins/qompass/codegen/cpp/org.eclipse.papyrus.views.cpp/src/org/eclipse/papyrus/views/cpp/CommandSupport.java2
-rw-r--r--extraplugins/qompass/codegen/java/org.eclipse.papyrus.java.reverse.ui/META-INF/MANIFEST.MF3
-rw-r--r--extraplugins/qompass/codegen/java/org.eclipse.papyrus.java.reverse.ui/src/org/eclipse/papyrus/java/reverse/ui/DndReverseCodeHandler.java2
-rw-r--r--extraplugins/qompass/codegen/java/org.eclipse.papyrus.java.reverse.ui/src/org/eclipse/papyrus/java/reverse/ui/ReverseCodeHandler.java6
-rw-r--r--extraplugins/qompass/codegen/java/org.eclipse.papyrus.java.reverse.ui/src/org/eclipse/papyrus/java/reverse/ui/handlers/CreateAssociationFromPropertyHandler.java2
-rw-r--r--extraplugins/qompass/codegen/org.eclipse.papyrus.codegen.base/.classpath2
-rw-r--r--extraplugins/qompass/codegen/org.eclipse.papyrus.codegen.base/.settings/org.eclipse.jdt.core.prefs6
-rw-r--r--extraplugins/qompass/codegen/org.eclipse.papyrus.codegen.base/META-INF/MANIFEST.MF5
-rw-r--r--extraplugins/qompass/codegen/org.eclipse.papyrus.codegen.base/src/org/eclipse/papyrus/codegen/base/codesync/ManageChangeEvents.java6
-rw-r--r--extraplugins/qompass/codegen/org.eclipse.papyrus.texteditor.modelexplorer/META-INF/MANIFEST.MF2
-rw-r--r--extraplugins/qompass/designer/tracing/org.eclipse.papyrus.qompass.modellibs.tracing/META-INF/MANIFEST.MF3
-rw-r--r--extraplugins/qompass/designer/tracing/org.eclipse.papyrus.qompass.modellibs.tracing/src/org/eclipse/papyrus/qompass/modellibs/tracing/QompassTraceMechanism.java2
-rw-r--r--extraplugins/req/org.eclipse.papyrus.req.bmm.diagram.common/META-INF/MANIFEST.MF3
-rw-r--r--extraplugins/req/org.eclipse.papyrus.req.bmm.diagram.common/plugin.xml2
-rw-r--r--extraplugins/req/org.eclipse.papyrus.req.domainModel2Profile/META-INF/MANIFEST.MF3
-rw-r--r--extraplugins/req/org.eclipse.papyrus.req.domainModel2Profile/src/org/eclipse/papyrus/req/domainModel2Profile/handler/PapyrusAbstractHandler.java2
-rw-r--r--extraplugins/req/org.eclipse.papyrus.req.sysml.assistant/META-INF/MANIFEST.MF3
-rw-r--r--extraplugins/req/org.eclipse.papyrus.req.sysml.assistant/src/org/eclipse/papyrus/req/sysml/assistant/handler/PapyrusAbstractHandler.java2
-rw-r--r--extraplugins/req/org.eclipse.papyrus.req.sysml.traceabilityassistant/META-INF/MANIFEST.MF3
-rw-r--r--extraplugins/req/org.eclipse.papyrus.req.sysml.traceabilityassistant/src/org/eclipse/papyrus/req/sysml/traceabilityassistant/handler/ApplyTracabilityHandler.java2
-rw-r--r--extraplugins/revision/org.eclipse.papyrus.revisiontool/META-INF/MANIFEST.MF3
-rw-r--r--extraplugins/revision/org.eclipse.papyrus.revisiontool/src/org/eclipse/papyrus/revision/tool/core/ReviewResourceManager.java2
-rw-r--r--extraplugins/revision/org.eclipse.papyrus.revisiontool/src/org/eclipse/papyrus/revision/tool/ui/ReviewsEditor.java2
-rw-r--r--extraplugins/revision/org.eclipse.papyrus.revisiontool/src/org/eclipse/papyrus/revision/tool/ui/RevisonDiagLayer.java2
-rw-r--r--extraplugins/robotml/org.eclipse.papyrus.robotml.deployment/META-INF/MANIFEST.MF3
-rw-r--r--extraplugins/robotml/org.eclipse.papyrus.robotml.deployment/src/org/eclipse/papyrus/robotml/deployment/CommandSupport.java2
-rw-r--r--extraplugins/robotml/org.eclipse.papyrus.robotml.deployment/src/org/eclipse/papyrus/robotml/deployment/Utils.java2
-rw-r--r--extraplugins/robotml/org.eclipse.papyrus.robotml.diagram.common/META-INF/MANIFEST.MF4
-rw-r--r--extraplugins/robotml/org.eclipse.papyrus.robotml.diagram.common/plugin.xml2
-rw-r--r--extraplugins/robotml/org.eclipse.papyrus.robotml.diagram.common/src/org/eclipse/papyrus/robotml/diagram/common/utils/RobotmlSelectionTester.java2
-rw-r--r--extraplugins/soaml/org.eclipse.papyrus.soaml.diagram.common/META-INF/MANIFEST.MF3
-rw-r--r--extraplugins/soaml/org.eclipse.papyrus.soaml.diagram.common/plugin.xml2
-rw-r--r--extraplugins/soaml/org.eclipse.papyrus.soaml.diagram.common/src/org/eclipse/papyrus/soaml/diagram/common/utils/SoamlSelectionTester.java2
-rw-r--r--extraplugins/uml/org.eclipse.papyrus.uml.export/META-INF/MANIFEST.MF3
-rw-r--r--extraplugins/uml/org.eclipse.papyrus.uml.export/src/org/eclipse/papyrus/uml/export/util/AreThereAppliedProfilesFromWS.java2
-rw-r--r--extraplugins/umlrt/org.eclipse.papyrus.umlrt.wizard/META-INF/MANIFEST.MF3
74 files changed, 195 insertions, 164 deletions
diff --git a/extraplugins/EFFBD/org.eclipse.papyrus.effbd/META-INF/MANIFEST.MF b/extraplugins/EFFBD/org.eclipse.papyrus.effbd/META-INF/MANIFEST.MF
index 000eff6a5de..f288e71d01d 100644
--- a/extraplugins/EFFBD/org.eclipse.papyrus.effbd/META-INF/MANIFEST.MF
+++ b/extraplugins/EFFBD/org.eclipse.papyrus.effbd/META-INF/MANIFEST.MF
@@ -29,7 +29,8 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.papyrus.uml.extensionpoints;bundle-version="1.1.3",
org.eclipse.papyrus.uml.tools.utils,
org.eclipse.papyrus.extensionpoints.editors,
- org.eclipse.papyrus.infra.emf.appearance
+ org.eclipse.papyrus.infra.emf.appearance,
+ org.eclipse.papyrus.infra.ui;bundle-version="1.2.0"
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Bundle-ActivationPolicy: lazy
Bundle-Vendor: %providerName
diff --git a/extraplugins/adl4eclipse/org.eclipse.papyrus.adl4eclipsetool.assistant/META-INF/MANIFEST.MF b/extraplugins/adl4eclipse/org.eclipse.papyrus.adl4eclipsetool.assistant/META-INF/MANIFEST.MF
index bda5ada9e89..aa339514ef8 100644
--- a/extraplugins/adl4eclipse/org.eclipse.papyrus.adl4eclipsetool.assistant/META-INF/MANIFEST.MF
+++ b/extraplugins/adl4eclipse/org.eclipse.papyrus.adl4eclipsetool.assistant/META-INF/MANIFEST.MF
@@ -20,7 +20,8 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.papyrus.infra.gmfdiag.common;bundle-version="1.2.0",
org.eclipse.papyrus.osgi.profile,
org.eclipse.core.expressions;bundle-version="3.5.0",
- org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0"
+ org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.ui;bundle-version="1.2.0"
Bundle-Vendor: %providerName
Bundle-Version: 1.2.0.qualifier
Bundle-Localization: plugin
diff --git a/extraplugins/adl4eclipse/org.eclipse.papyrus.adl4eclipsetool.assistant/src/org/eclipse/papyrus/adltool/assistant/ADLToolAbstractHandler.java b/extraplugins/adl4eclipse/org.eclipse.papyrus.adl4eclipsetool.assistant/src/org/eclipse/papyrus/adltool/assistant/ADLToolAbstractHandler.java
index ec3626fa3e3..dd437b69b03 100644
--- a/extraplugins/adl4eclipse/org.eclipse.papyrus.adl4eclipsetool.assistant/src/org/eclipse/papyrus/adltool/assistant/ADLToolAbstractHandler.java
+++ b/extraplugins/adl4eclipse/org.eclipse.papyrus.adl4eclipsetool.assistant/src/org/eclipse/papyrus/adltool/assistant/ADLToolAbstractHandler.java
@@ -25,7 +25,7 @@ import org.eclipse.gmf.runtime.notation.View;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.papyrus.editor.PapyrusMultiDiagramEditor;
-import org.eclipse.papyrus.infra.core.editor.IMultiDiagramEditor;
+import org.eclipse.papyrus.infra.ui.editor.IMultiDiagramEditor;
import org.eclipse.ui.IEditorPart;
import org.eclipse.ui.ISelectionService;
import org.eclipse.ui.PlatformUI;
diff --git a/extraplugins/bpmn/org.eclipse.papyrus.bpmn.diagram.common/META-INF/MANIFEST.MF b/extraplugins/bpmn/org.eclipse.papyrus.bpmn.diagram.common/META-INF/MANIFEST.MF
index 44f08ffe1c6..9a7ded90206 100644
--- a/extraplugins/bpmn/org.eclipse.papyrus.bpmn.diagram.common/META-INF/MANIFEST.MF
+++ b/extraplugins/bpmn/org.eclipse.papyrus.bpmn.diagram.common/META-INF/MANIFEST.MF
@@ -13,7 +13,8 @@ Require-Bundle: org.eclipse.papyrus.uml.tools.utils;bundle-version="1.2.0",
org.eclipse.papyrus.uml.tools.extendedtypes;bundle-version="1.2.0",
org.eclipse.gmf.tooling.runtime;bundle-version="3.2.0",
org.eclipse.papyrus.infra.core;bundle-version="1.2.0",
- org.eclipse.gmf.runtime.diagram.core
+ org.eclipse.gmf.runtime.diagram.core,
+ org.eclipse.papyrus.infra.ui;bundle-version="1.2.0"
Export-Package: org.eclipse.papyrus.bpmn.diagram.common,
org.eclipse.papyrus.bpmn.diagram.common.commands,
org.eclipse.papyrus.bpmn.diagram.common.edit.part,
diff --git a/extraplugins/bpmn/org.eclipse.papyrus.bpmn.diagram.common/plugin.xml b/extraplugins/bpmn/org.eclipse.papyrus.bpmn.diagram.common/plugin.xml
index 3f64ce1a9c8..2e9c0068bf6 100644
--- a/extraplugins/bpmn/org.eclipse.papyrus.bpmn.diagram.common/plugin.xml
+++ b/extraplugins/bpmn/org.eclipse.papyrus.bpmn.diagram.common/plugin.xml
@@ -2,7 +2,7 @@
<?eclipse version="3.4"?>
<plugin>
<extension
- point="org.eclipse.papyrus.infra.core.papyrusDiagram">
+ point="org.eclipse.papyrus.infra.ui.papyrusDiagram">
<diagramCategory
class="org.eclipse.papyrus.bpmn.diagram.common.commands.CreateBpmnModelCommand"
description="Papyrus BPMN diagrams"
diff --git a/extraplugins/cdo/org.eclipse.papyrus.cdo.core/META-INF/MANIFEST.MF b/extraplugins/cdo/org.eclipse.papyrus.cdo.core/META-INF/MANIFEST.MF
index b6660761bd7..fb514cc358c 100644
--- a/extraplugins/cdo/org.eclipse.papyrus.cdo.core/META-INF/MANIFEST.MF
+++ b/extraplugins/cdo/org.eclipse.papyrus.cdo.core/META-INF/MANIFEST.MF
@@ -2,39 +2,28 @@ Manifest-Version: 1.0
Require-Bundle: org.eclipse.core.runtime,
org.eclipse.emf.ecore;visibility:=reexport,
org.eclipse.emf.ecore.xmi;visibility:=reexport,
- org.eclipse.emf.cdo.explorer;bundle-version="[4.3.0,
- 5.0.0)";visibility:=reexport,
+ org.eclipse.emf.cdo.explorer;bundle-version="[4.3.0,5.0.0)";visibility:=reexport,
org.eclipse.papyrus.infra.core;bundle-version="1.2.0";visibility:=reexport,
org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
org.eclipse.papyrus.infra.services.resourceloading;bundle-version="1.2.0";visibility:=reexport,
org.eclipse.papyrus.infra.emf;bundle-version="1.2.0",
org.eclipse.papyrus.infra.emf.readonly;bundle-version="1.2.0";visibility:=reexport,
- org.eclipse.emf.workspace;bundle-version="[1.5.1,
- 2.0.0)",
+ org.eclipse.emf.workspace;bundle-version="[1.5.1,2.0.0)",
org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="1.2.0",
- org.eclipse.emf.cdo.dawn;bundle-version="[2.0.0,
- 3.0.0)",
- org.eclipse.emf.cdo.dawn.gmf;bundle-version="[2.1.0,
- 3.0.0)",
- org.eclipse.emf.transaction;bundle-version="[1.4.0,
- 2.0.0)";visibility:=reexport,
- org.eclipse.gmf.runtime.notation;bundle-version="[1.5.0,
- 2.0.0)",
- org.eclipse.equinox.security;bundle-version="[1.1.100,
- 2.0.0)",
- org.eclipse.core.expressions;bundle-version="[3.4.0,
- 4.0.0)",
+ org.eclipse.emf.cdo.dawn;bundle-version="[2.0.0,3.0.0)",
+ org.eclipse.emf.cdo.dawn.gmf;bundle-version="[2.1.0,3.0.0)",
+ org.eclipse.emf.transaction;bundle-version="[1.4.0,2.0.0)";visibility:=reexport,
+ org.eclipse.gmf.runtime.notation;bundle-version="[1.5.0,2.0.0)",
+ org.eclipse.equinox.security;bundle-version="[1.1.100,2.0.0)",
+ org.eclipse.core.expressions;bundle-version="[3.4.0,4.0.0)",
com.google.guava;bundle-version="11.0.0",
org.eclipse.papyrus.infra.services.controlmode;bundle-version="1.2.0",
- org.eclipse.gmf.runtime.emf.commands.core;bundle-version="[1.7.0,
- 2.0.0)",
- org.eclipse.gmf.runtime.emf.type.core;bundle-version="[1.7.0,
- 2.0.0)",
+ org.eclipse.gmf.runtime.emf.commands.core;bundle-version="[1.7.0,2.0.0)",
+ org.eclipse.gmf.runtime.emf.type.core;bundle-version="[1.7.0,2.0.0)",
org.eclipse.papyrus.infra.services.localizer;bundle-version="1.2.0",
- org.eclipse.net4j;bundle-version="[4.3.0,
- 5.0.0)",
- org.eclipse.emf.cdo.admin;bundle-version="[4.1.200,
- 5.0.0)"
+ org.eclipse.net4j;bundle-version="[4.3.0,5.0.0)",
+ org.eclipse.emf.cdo.admin;bundle-version="[4.1.200,5.0.0)",
+ org.eclipse.papyrus.infra.core.sashwindows.di;bundle-version="1.2.0"
Export-Package: org.eclipse.papyrus.cdo.core,
org.eclipse.papyrus.cdo.core.admin,
org.eclipse.papyrus.cdo.core.exporter,
diff --git a/extraplugins/cdo/org.eclipse.papyrus.cdo.ui/META-INF/MANIFEST.MF b/extraplugins/cdo/org.eclipse.papyrus.cdo.ui/META-INF/MANIFEST.MF
index cdb5dc8cc67..de765e3afb5 100644
--- a/extraplugins/cdo/org.eclipse.papyrus.cdo.ui/META-INF/MANIFEST.MF
+++ b/extraplugins/cdo/org.eclipse.papyrus.cdo.ui/META-INF/MANIFEST.MF
@@ -27,23 +27,17 @@ Export-Package: org.eclipse.papyrus.cdo.internal.ui;x-friends:="org.eclipse.papy
org.eclipse.papyrus.cdo.uml.diagram.ui,
org.eclipse.papyrus.cdo.ui.customization.properties"
Require-Bundle: org.eclipse.core.runtime,
- org.eclipse.ui.ide;bundle-version="[3.8.0,
- 4.0.0)",
+ org.eclipse.ui.ide;bundle-version="[3.8.0,4.0.0)",
org.eclipse.papyrus.infra.core;bundle-version="1.2.0",
org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
org.eclipse.ui.workbench,
org.eclipse.papyrus.cdo.core;bundle-version="1.2.0";visibility:=reexport,
- org.eclipse.emf.cdo.ui;bundle-version="[4.3.0,
- 5.0.0)";visibility:=reexport,
- org.eclipse.emf.cdo.explorer.ui;bundle-version="[4.3.0,
- 5.0.0)";visibility:=reexport,
+ org.eclipse.emf.cdo.ui;bundle-version="[4.3.0,5.0.0)";visibility:=reexport,
+ org.eclipse.emf.cdo.explorer.ui;bundle-version="[4.3.0,5.0.0)";visibility:=reexport,
org.eclipse.papyrus.infra.gmfdiag.common;bundle-version="1.2.0",
- org.eclipse.emf.cdo.dawn;bundle-version="[2.0.0,
- 3.0.0)",
- org.eclipse.emf.cdo.dawn.gmf;bundle-version="[2.1.0,
- 3.0.0)",
- org.eclipse.emf.cdo.dawn.ui;bundle-version="[2.0.0,
- 3.0.0)",
+ org.eclipse.emf.cdo.dawn;bundle-version="[2.0.0,3.0.0)",
+ org.eclipse.emf.cdo.dawn.gmf;bundle-version="[2.1.0,3.0.0)",
+ org.eclipse.emf.cdo.dawn.ui;bundle-version="[2.0.0,3.0.0)",
org.eclipse.papyrus.infra.emf;bundle-version="1.2.0",
org.eclipse.papyrus.infra.onefile;bundle-version="1.2.0",
org.eclipse.papyrus.infra.services.markerlistener;bundle-version="1.2.0",
@@ -55,9 +49,11 @@ Require-Bundle: org.eclipse.core.runtime,
org.eclipse.papyrus.infra.services.labelprovider;bundle-version="1.2.0",
org.eclipse.papyrus.infra.services.controlmode;bundle-version="1.2.0",
org.eclipse.ui.navigator;bundle-version="3.5.300",
- org.eclipse.emf.cdo.ui.admin;bundle-version="[4.1.200,
- 5.0.0)",
- org.eclipse.papyrus.emf.facet.custom.metamodel;bundle-version="1.2.0"
+ org.eclipse.emf.cdo.ui.admin;bundle-version="[4.1.200,5.0.0)",
+ org.eclipse.papyrus.emf.facet.custom.metamodel;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.ui;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.core.sashwindows.di;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.core.sasheditor;bundle-version="1.2.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 1.2.0.qualifier
diff --git a/extraplugins/cdo/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/editors/PapyrusCDOEditorInput.java b/extraplugins/cdo/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/editors/PapyrusCDOEditorInput.java
index 36312c54b94..0100fc5f0eb 100644
--- a/extraplugins/cdo/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/editors/PapyrusCDOEditorInput.java
+++ b/extraplugins/cdo/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/editors/PapyrusCDOEditorInput.java
@@ -13,7 +13,7 @@ package org.eclipse.papyrus.cdo.internal.ui.editors;
import org.eclipse.emf.common.ui.URIEditorInput;
import org.eclipse.emf.common.util.URI;
-import org.eclipse.papyrus.infra.core.editor.IPapyrusPageInput;
+import org.eclipse.papyrus.infra.ui.editor.IPapyrusPageInput;
import org.eclipse.ui.IPersistableElement;
/**
diff --git a/extraplugins/cdo/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/editors/PapyrusCDOEditorManager.java b/extraplugins/cdo/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/editors/PapyrusCDOEditorManager.java
index d1c0b6a3467..31af3ba01e4 100644
--- a/extraplugins/cdo/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/editors/PapyrusCDOEditorManager.java
+++ b/extraplugins/cdo/org.eclipse.papyrus.cdo.ui/src/org/eclipse/papyrus/cdo/internal/ui/editors/PapyrusCDOEditorManager.java
@@ -57,7 +57,6 @@ import org.eclipse.papyrus.cdo.internal.ui.Activator;
import org.eclipse.papyrus.cdo.internal.ui.l10n.Messages;
import org.eclipse.papyrus.cdo.internal.ui.util.UIUtil;
import org.eclipse.papyrus.editor.PapyrusMultiDiagramEditor;
-import org.eclipse.papyrus.infra.core.editor.CoreMultiDiagramEditor;
import org.eclipse.papyrus.infra.core.sasheditor.editor.IComponentPage;
import org.eclipse.papyrus.infra.core.sasheditor.editor.IEditorPage;
import org.eclipse.papyrus.infra.core.sasheditor.editor.IPage;
@@ -66,7 +65,8 @@ import org.eclipse.papyrus.infra.core.sasheditor.editor.IPageVisitor;
import org.eclipse.papyrus.infra.core.sasheditor.editor.ISashWindowsContainer;
import org.eclipse.papyrus.infra.core.services.ServicesRegistry;
import org.eclipse.papyrus.infra.core.utils.AdapterUtils;
-import org.eclipse.papyrus.infra.core.utils.EditorUtils;
+import org.eclipse.papyrus.infra.ui.editor.CoreMultiDiagramEditor;
+import org.eclipse.papyrus.infra.ui.util.EditorUtils;
import org.eclipse.ui.IEditorInput;
import org.eclipse.ui.IEditorPart;
import org.eclipse.ui.IPartListener;
diff --git a/extraplugins/cdo/org.eclipse.papyrus.cdo.uml.search.ui/META-INF/MANIFEST.MF b/extraplugins/cdo/org.eclipse.papyrus.cdo.uml.search.ui/META-INF/MANIFEST.MF
index ceea2dc0db8..244a901d612 100644
--- a/extraplugins/cdo/org.eclipse.papyrus.cdo.uml.search.ui/META-INF/MANIFEST.MF
+++ b/extraplugins/cdo/org.eclipse.papyrus.cdo.uml.search.ui/META-INF/MANIFEST.MF
@@ -6,8 +6,7 @@ Export-Package: org.eclipse.papyrus.cdo.uml.search.internal.ui;x-internal:=true,
Require-Bundle: org.eclipse.core.runtime;bundle-version="3.9.0",
org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
org.eclipse.papyrus.cdo.core;bundle-version="1.2.0",
- org.eclipse.emf.cdo.common;bundle-version="[4.3.0,
- 5.0.0)",
+ org.eclipse.emf.cdo.common;bundle-version="[4.3.0,5.0.0)",
org.eclipse.ui;bundle-version="3.105.0",
org.eclipse.uml2.uml;bundle-version="4.1.0",
org.eclipse.papyrus.uml.search.ui;bundle-version="1.2.0",
@@ -17,7 +16,8 @@ Require-Bundle: org.eclipse.core.runtime;bundle-version="3.9.0",
org.eclipse.papyrus.infra.services.labelprovider;bundle-version="1.2.0",
org.eclipse.papyrus.infra.services.openelement;bundle-version="1.2.0",
org.eclipse.papyrus.cdo.ui;bundle-version="1.2.0",
- com.google.guava;bundle-version="11.0.0"
+ com.google.guava;bundle-version="11.0.0",
+ org.eclipse.papyrus.infra.ui;bundle-version="1.2.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 1.2.0.qualifier
diff --git a/extraplugins/cdo/org.eclipse.papyrus.cdo.uml.search.ui/src/org/eclipse/papyrus/cdo/uml/search/internal/ui/open/CDOOpenElementService.java b/extraplugins/cdo/org.eclipse.papyrus.cdo.uml.search.ui/src/org/eclipse/papyrus/cdo/uml/search/internal/ui/open/CDOOpenElementService.java
index 8ef6c971044..989d9f416b6 100644
--- a/extraplugins/cdo/org.eclipse.papyrus.cdo.uml.search.ui/src/org/eclipse/papyrus/cdo/uml/search/internal/ui/open/CDOOpenElementService.java
+++ b/extraplugins/cdo/org.eclipse.papyrus.cdo.uml.search.ui/src/org/eclipse/papyrus/cdo/uml/search/internal/ui/open/CDOOpenElementService.java
@@ -14,10 +14,10 @@ package org.eclipse.papyrus.cdo.uml.search.internal.ui.open;
import org.eclipse.emf.common.util.URI;
import org.eclipse.papyrus.cdo.internal.ui.editors.PapyrusCDOEditorInput;
import org.eclipse.papyrus.cdo.internal.ui.editors.PapyrusCDOEditorManager;
-import org.eclipse.papyrus.infra.core.editor.IMultiDiagramEditor;
-import org.eclipse.papyrus.infra.core.editor.IPapyrusPageInput;
import org.eclipse.papyrus.infra.core.resource.ModelSet;
import org.eclipse.papyrus.infra.services.openelement.service.impl.OpenElementServiceImpl;
+import org.eclipse.papyrus.infra.ui.editor.IMultiDiagramEditor;
+import org.eclipse.papyrus.infra.ui.editor.IPapyrusPageInput;
import org.eclipse.papyrus.views.search.scope.ScopeEntry;
import org.eclipse.ui.IEditorInput;
import org.eclipse.ui.IWorkbenchPage;
diff --git a/extraplugins/diagramtemplate/org.eclipse.papyrus.diagramtemplate.editor/META-INF/MANIFEST.MF b/extraplugins/diagramtemplate/org.eclipse.papyrus.diagramtemplate.editor/META-INF/MANIFEST.MF
index 0bfd0bb0727..856f969ce45 100644
--- a/extraplugins/diagramtemplate/org.eclipse.papyrus.diagramtemplate.editor/META-INF/MANIFEST.MF
+++ b/extraplugins/diagramtemplate/org.eclipse.papyrus.diagramtemplate.editor/META-INF/MANIFEST.MF
@@ -15,7 +15,9 @@ Require-Bundle: org.eclipse.core.runtime,
org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.6.0",
org.eclipse.papyrus.infra.core.sasheditor;bundle-version="1.2.0",
org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.gmfdiag.common;bundle-version="1.2.0"
+ org.eclipse.papyrus.infra.gmfdiag.common;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.ui;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.core.sashwindows.di;bundle-version="1.2.0"
Export-Package: org.eclipse.papyrus.diagramtemplate.editor,
org.eclipse.papyrus.diagramtemplate.launcher
Bundle-Vendor: %providerName
diff --git a/extraplugins/diagramtemplate/org.eclipse.papyrus.diagramtemplate.editor/src/org/eclipse/papyrus/diagramtemplate/editor/provider/DiagramDefinitionLabelProvider.java b/extraplugins/diagramtemplate/org.eclipse.papyrus.diagramtemplate.editor/src/org/eclipse/papyrus/diagramtemplate/editor/provider/DiagramDefinitionLabelProvider.java
index 4d46d6cd274..c2efe19fe8b 100644
--- a/extraplugins/diagramtemplate/org.eclipse.papyrus.diagramtemplate.editor/src/org/eclipse/papyrus/diagramtemplate/editor/provider/DiagramDefinitionLabelProvider.java
+++ b/extraplugins/diagramtemplate/org.eclipse.papyrus.diagramtemplate.editor/src/org/eclipse/papyrus/diagramtemplate/editor/provider/DiagramDefinitionLabelProvider.java
@@ -92,7 +92,7 @@ public class DiagramDefinitionLabelProvider implements ILabelProvider {
* @return the creation command registry
*/
private ICreationCommandRegistry getCreationCommandRegistry() {
- return CreationCommandRegistry.getInstance(org.eclipse.papyrus.infra.core.Activator.PLUGIN_ID);
+ return CreationCommandRegistry.getInstance(org.eclipse.papyrus.infra.ui.Activator.PLUGIN_ID);
}
}
diff --git a/extraplugins/diagramtemplate/org.eclipse.papyrus.diagramtemplate.editor/src/org/eclipse/papyrus/diagramtemplate/editor/provider/DiagramKindContentProvider.java b/extraplugins/diagramtemplate/org.eclipse.papyrus.diagramtemplate.editor/src/org/eclipse/papyrus/diagramtemplate/editor/provider/DiagramKindContentProvider.java
index cb9939e5500..dcc69acae3b 100644
--- a/extraplugins/diagramtemplate/org.eclipse.papyrus.diagramtemplate.editor/src/org/eclipse/papyrus/diagramtemplate/editor/provider/DiagramKindContentProvider.java
+++ b/extraplugins/diagramtemplate/org.eclipse.papyrus.diagramtemplate.editor/src/org/eclipse/papyrus/diagramtemplate/editor/provider/DiagramKindContentProvider.java
@@ -76,6 +76,6 @@ public class DiagramKindContentProvider implements IStructuredContentProvider {
* @return the creation command registry
*/
private ICreationCommandRegistry getCreationCommandRegistry() {
- return CreationCommandRegistry.getInstance(org.eclipse.papyrus.infra.core.Activator.PLUGIN_ID);
+ return CreationCommandRegistry.getInstance(org.eclipse.papyrus.infra.ui.Activator.PLUGIN_ID);
}
}
diff --git a/extraplugins/diagramtemplate/org.eclipse.papyrus.diagramtemplate.editor/src/org/eclipse/papyrus/diagramtemplate/launcher/DiagramTemplateLauncher.java b/extraplugins/diagramtemplate/org.eclipse.papyrus.diagramtemplate.editor/src/org/eclipse/papyrus/diagramtemplate/launcher/DiagramTemplateLauncher.java
index 3593bdb87b4..f8413935bd2 100644
--- a/extraplugins/diagramtemplate/org.eclipse.papyrus.diagramtemplate.editor/src/org/eclipse/papyrus/diagramtemplate/launcher/DiagramTemplateLauncher.java
+++ b/extraplugins/diagramtemplate/org.eclipse.papyrus.diagramtemplate.editor/src/org/eclipse/papyrus/diagramtemplate/launcher/DiagramTemplateLauncher.java
@@ -56,15 +56,15 @@ import org.eclipse.papyrus.diagramtemplate.editor.provider.DiagramKindContentPro
import org.eclipse.papyrus.diagramtemplate.utils.Messages;
import org.eclipse.papyrus.editor.PapyrusMultiDiagramEditor;
import org.eclipse.papyrus.infra.core.editor.BackboneException;
-import org.eclipse.papyrus.infra.core.editor.IMultiDiagramEditor;
import org.eclipse.papyrus.infra.core.resource.ModelMultiException;
import org.eclipse.papyrus.infra.core.resource.ModelSet;
-import org.eclipse.papyrus.infra.core.sasheditor.contentprovider.IPageManager;
+import org.eclipse.papyrus.infra.core.sashwindows.di.service.IPageManager;
import org.eclipse.papyrus.infra.core.services.ExtensionServicesRegistry;
import org.eclipse.papyrus.infra.core.services.ServiceException;
import org.eclipse.papyrus.infra.core.services.ServicesRegistry;
import org.eclipse.papyrus.infra.core.utils.DiResourceSet;
import org.eclipse.papyrus.infra.gmfdiag.common.model.NotationUtils;
+import org.eclipse.papyrus.infra.ui.editor.IMultiDiagramEditor;
import org.eclipse.papyrus.uml.diagram.wizards.category.DiagramCategoryDescriptor;
import org.eclipse.papyrus.uml.diagram.wizards.category.DiagramCategoryRegistry;
import org.eclipse.ui.IEditorPart;
diff --git a/extraplugins/eastadl/org.eclipse.papyrus.eastadl.nattable.menu/META-INF/MANIFEST.MF b/extraplugins/eastadl/org.eclipse.papyrus.eastadl.nattable.menu/META-INF/MANIFEST.MF
index c642e1287bc..327c6111e86 100644
--- a/extraplugins/eastadl/org.eclipse.papyrus.eastadl.nattable.menu/META-INF/MANIFEST.MF
+++ b/extraplugins/eastadl/org.eclipse.papyrus.eastadl.nattable.menu/META-INF/MANIFEST.MF
@@ -18,7 +18,8 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.core.expressions;bundle-version="3.4.500",
org.eclipse.papyrus.infra.nattable.common;bundle-version="1.2.0",
org.eclipse.papyrus.eastadl.service.types;bundle-version="1.2.0",
- org.eclipse.papyrus.uml.nattable.menu;bundle-version="1.2.0"
+ org.eclipse.papyrus.uml.nattable.menu;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.ui;bundle-version="1.2.0"
Export-Package: org.eclipse.papyrus.eastadl.nattable.menu.handlers
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
diff --git a/extraplugins/eastadl/org.eclipse.papyrus.eastadl.service.types/META-INF/MANIFEST.MF b/extraplugins/eastadl/org.eclipse.papyrus.eastadl.service.types/META-INF/MANIFEST.MF
index 70487a5f5a9..370e20f5ffe 100644
--- a/extraplugins/eastadl/org.eclipse.papyrus.eastadl.service.types/META-INF/MANIFEST.MF
+++ b/extraplugins/eastadl/org.eclipse.papyrus.eastadl.service.types/META-INF/MANIFEST.MF
@@ -11,7 +11,8 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.uml2.uml.profile.standard;bundle-version="1.0.0",
org.eclipse.core.expressions;bundle-version="3.4.500",
org.eclipse.papyrus.infra.tools;bundle-version="1.2.0",
- org.eclipse.papyrus.uml.diagram.common;bundle-version="1.2.0"
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.ui;bundle-version="1.2.0"
Export-Package: org.eclipse.papyrus.eastadl.service.types,
org.eclipse.papyrus.eastadl.service.types.elements,
org.eclipse.papyrus.eastadl.service.types.filter,
diff --git a/extraplugins/eastadl/org.eclipse.papyrus.eastadl.service.types/src/org/eclipse/papyrus/eastadl/service/types/menu/AbstractCreateEastadlChildMenu.java b/extraplugins/eastadl/org.eclipse.papyrus.eastadl.service.types/src/org/eclipse/papyrus/eastadl/service/types/menu/AbstractCreateEastadlChildMenu.java
index 8a8ee4ed2d9..c3141aa0c8f 100644
--- a/extraplugins/eastadl/org.eclipse.papyrus.eastadl.service.types/src/org/eclipse/papyrus/eastadl/service/types/menu/AbstractCreateEastadlChildMenu.java
+++ b/extraplugins/eastadl/org.eclipse.papyrus.eastadl.service.types/src/org/eclipse/papyrus/eastadl/service/types/menu/AbstractCreateEastadlChildMenu.java
@@ -1,6 +1,6 @@
package org.eclipse.papyrus.eastadl.service.types.menu;
-import org.eclipse.papyrus.infra.tools.util.AbstractCreateMenuFromCommandCategory;
+import org.eclipse.papyrus.infra.ui.util.AbstractCreateMenuFromCommandCategory;
public class AbstractCreateEastadlChildMenu extends AbstractCreateMenuFromCommandCategory {
diff --git a/extraplugins/layers/org.eclipse.papyrus.layers.runtime/plugin.xml b/extraplugins/layers/org.eclipse.papyrus.layers.runtime/plugin.xml
index ca048cf167d..32045824c04 100644
--- a/extraplugins/layers/org.eclipse.papyrus.layers.runtime/plugin.xml
+++ b/extraplugins/layers/org.eclipse.papyrus.layers.runtime/plugin.xml
@@ -22,7 +22,7 @@
serviceKeyRef="org.eclipse.papyrus.infra.core.resource.ModelSet">
</dependsOn>
<dependsOn
- serviceKeyRef="org.eclipse.papyrus.infra.core.editor.IMultiDiagramEditor">
+ serviceKeyRef="org.eclipse.papyrus.infra.ui.editor.IMultiDiagramEditor">
</dependsOn>
</service>
</extension>
diff --git a/extraplugins/layers/org.eclipse.papyrus.layers.stackmodel.diagram/META-INF/MANIFEST.MF b/extraplugins/layers/org.eclipse.papyrus.layers.stackmodel.diagram/META-INF/MANIFEST.MF
index 5d9f0e07ce1..d694738bda1 100644
--- a/extraplugins/layers/org.eclipse.papyrus.layers.stackmodel.diagram/META-INF/MANIFEST.MF
+++ b/extraplugins/layers/org.eclipse.papyrus.layers.stackmodel.diagram/META-INF/MANIFEST.MF
@@ -13,7 +13,9 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.gmf.runtime.diagram.ui.resources.editor,
org.eclipse.papyrus.layers.runtime;bundle-version="1.2.0",
org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.7.0",
- org.eclipse.ui.ide;bundle-version="3.10.0"
+ org.eclipse.ui.ide;bundle-version="3.10.0",
+ org.eclipse.papyrus.infra.ui;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.core.sasheditor;bundle-version="1.2.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 1.2.0.qualifier
diff --git a/extraplugins/layers/org.eclipse.papyrus.layers.stackmodel.diagram/plugin.xml b/extraplugins/layers/org.eclipse.papyrus.layers.stackmodel.diagram/plugin.xml
index a4f04ed27ce..27d41b758c3 100644
--- a/extraplugins/layers/org.eclipse.papyrus.layers.stackmodel.diagram/plugin.xml
+++ b/extraplugins/layers/org.eclipse.papyrus.layers.stackmodel.diagram/plugin.xml
@@ -2,7 +2,7 @@
<?eclipse version="3.4"?>
<plugin>
<extension
- point="org.eclipse.papyrus.infra.core.papyrusDiagram">
+ point="org.eclipse.papyrus.infra.ui.papyrusDiagram">
<editorDiagram
actionBarContributorId="org.eclipse.papyrus.uml.diagram.common.part.UMLDiagramActionBarContributor"
contextId="defaultContext"
diff --git a/extraplugins/layers/org.eclipse.papyrus.layers.stackmodel.diagram/src/org/eclipse/papyrus/layers/stackmodel/diagram/LayersTreeDiagramEditorFactory.java b/extraplugins/layers/org.eclipse.papyrus.layers.stackmodel.diagram/src/org/eclipse/papyrus/layers/stackmodel/diagram/LayersTreeDiagramEditorFactory.java
index b5dbd4e2f73..6e9bf121f1d 100644
--- a/extraplugins/layers/org.eclipse.papyrus.layers.stackmodel.diagram/src/org/eclipse/papyrus/layers/stackmodel/diagram/LayersTreeDiagramEditorFactory.java
+++ b/extraplugins/layers/org.eclipse.papyrus.layers.stackmodel.diagram/src/org/eclipse/papyrus/layers/stackmodel/diagram/LayersTreeDiagramEditorFactory.java
@@ -15,13 +15,13 @@ package org.eclipse.papyrus.layers.stackmodel.diagram;
import org.eclipse.gmf.runtime.notation.Diagram;
import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.papyrus.infra.core.editor.BackboneException;
-import org.eclipse.papyrus.infra.core.extension.diagrameditor.EditorDescriptor;
-import org.eclipse.papyrus.infra.core.extension.diagrameditor.IPluggableEditorFactory;
-import org.eclipse.papyrus.infra.core.multidiagram.actionbarcontributor.ActionBarContributorRegistry;
import org.eclipse.papyrus.infra.core.sasheditor.contentprovider.IEditorModel;
import org.eclipse.papyrus.infra.core.sasheditor.contentprovider.IPageModel;
import org.eclipse.papyrus.infra.core.services.ServiceException;
import org.eclipse.papyrus.infra.core.services.ServicesRegistry;
+import org.eclipse.papyrus.infra.ui.extension.diagrameditor.EditorDescriptor;
+import org.eclipse.papyrus.infra.ui.extension.diagrameditor.IPluggableEditorFactory;
+import org.eclipse.papyrus.infra.ui.multidiagram.actionbarcontributor.ActionBarContributorRegistry;
import org.eclipse.swt.graphics.Image;
import org.eclipse.ui.IEditorPart;
import org.eclipse.ui.PartInitException;
@@ -71,7 +71,7 @@ public class LayersTreeDiagramEditorFactory implements IPluggableEditorFactory {
/**
* TODO Implements next methods
*
- * @see org.eclipse.papyrus.infra.core.extension.diagrameditor.IPluggableEditorFactory#createIPageModel(java.lang.Object)
+ * @see org.eclipse.papyrus.infra.ui.extension.diagrameditor.IPluggableEditorFactory#createIPageModel(java.lang.Object)
* @param pageIdentifier
* @return
*
@@ -83,7 +83,7 @@ public class LayersTreeDiagramEditorFactory implements IPluggableEditorFactory {
/**
*
- * @see org.eclipse.papyrus.infra.core.extension.diagrameditor.IPluggableEditorFactory#isPageModelFactoryFor(java.lang.Object)
+ * @see org.eclipse.papyrus.infra.ui.extension.diagrameditor.IPluggableEditorFactory#isPageModelFactoryFor(java.lang.Object)
* @param pageIdentifier
* @return
*
diff --git a/extraplugins/layers/org.eclipse.papyrus.layers.stackmodel.diagram/src/org/eclipse/papyrus/layers/stackmodel/diagram/ui/handlers/AbstractLayerCommand.java b/extraplugins/layers/org.eclipse.papyrus.layers.stackmodel.diagram/src/org/eclipse/papyrus/layers/stackmodel/diagram/ui/handlers/AbstractLayerCommand.java
index 99044e3a409..1a9b80dc549 100644
--- a/extraplugins/layers/org.eclipse.papyrus.layers.stackmodel.diagram/src/org/eclipse/papyrus/layers/stackmodel/diagram/ui/handlers/AbstractLayerCommand.java
+++ b/extraplugins/layers/org.eclipse.papyrus.layers.stackmodel.diagram/src/org/eclipse/papyrus/layers/stackmodel/diagram/ui/handlers/AbstractLayerCommand.java
@@ -1,5 +1,6 @@
/*******************************************************************************
- * Copyright (c) 2013 CEA LIST.
+ * Copyright (c) 2013, 2016 CEA LIST, Christian W. Damus, and others.
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -7,6 +8,8 @@
*
* Contributors:
* Cedric Dumoulin - cedric.dumoulin@lifl.fr
+ * Christian W. Damus - bug 485220
+ *
******************************************************************************/
package org.eclipse.papyrus.layers.stackmodel.diagram.ui.handlers;
@@ -21,6 +24,7 @@ import org.eclipse.emf.transaction.RecordingCommand;
import org.eclipse.emf.transaction.TransactionalEditingDomain;
import org.eclipse.gmf.runtime.diagram.ui.resources.editor.parts.DiagramDocumentEditor;
import org.eclipse.gmf.runtime.notation.Diagram;
+import org.eclipse.papyrus.infra.core.sasheditor.editor.ISashWindowsContainer;
import org.eclipse.papyrus.infra.core.services.ServiceException;
import org.eclipse.papyrus.infra.emf.utils.ServiceUtilsForIEvaluationContext;
import org.eclipse.papyrus.layers.runtime.NotationDiagramHelper;
@@ -220,7 +224,7 @@ public abstract class AbstractLayerCommand extends AbstractHandler {
// Get page from the event !
// IWorkbenchPage page = HandlerUtil.getActiveWorkbenchWindow(event).getActivePage();
- IEditorPart editor = ServiceUtilsForIEvaluationContext.getInstance().getNestedActiveIEditorPart(context);
+ IEditorPart editor = ServiceUtilsForIEvaluationContext.getInstance().getService(ISashWindowsContainer.class, context).getActiveEditor();
if (!(editor instanceof DiagramDocumentEditor)) {
throw new NotFoundException("Selected editor do not contains Diagram");
diff --git a/extraplugins/layers/org.eclipse.papyrus.layers.ui/META-INF/MANIFEST.MF b/extraplugins/layers/org.eclipse.papyrus.layers.ui/META-INF/MANIFEST.MF
index b8865fb8b5d..d2c4761141a 100644
--- a/extraplugins/layers/org.eclipse.papyrus.layers.ui/META-INF/MANIFEST.MF
+++ b/extraplugins/layers/org.eclipse.papyrus.layers.ui/META-INF/MANIFEST.MF
@@ -31,7 +31,8 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.papyrus.infra.services.labelprovider;bundle-version="1.2.0",
org.eclipse.papyrus.infra.gmfdiag.hyperlink;bundle-version="1.2.0",
org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
- org.eclipse.papyrus.layers.stackmodel.edit;bundle-version="1.2.0"
+ org.eclipse.papyrus.layers.stackmodel.edit;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.ui;bundle-version="1.2.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 1.2.0.qualifier
diff --git a/extraplugins/layers/org.eclipse.papyrus.layers.ui/src/org/eclipse/papyrus/layers3/ui/commands/AbstractLayerStackCommand.java b/extraplugins/layers/org.eclipse.papyrus.layers.ui/src/org/eclipse/papyrus/layers3/ui/commands/AbstractLayerStackCommand.java
index 53d7d29ae5d..0abe0660f4a 100644
--- a/extraplugins/layers/org.eclipse.papyrus.layers.ui/src/org/eclipse/papyrus/layers3/ui/commands/AbstractLayerStackCommand.java
+++ b/extraplugins/layers/org.eclipse.papyrus.layers.ui/src/org/eclipse/papyrus/layers3/ui/commands/AbstractLayerStackCommand.java
@@ -1,5 +1,6 @@
/*******************************************************************************
- * Copyright (c) 2013 CEA LIST.
+ * Copyright (c) 2013, 2016 CEA LIST, Christian W. Damus, and others.
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -7,6 +8,8 @@
*
* Contributors:
* Cedric Dumoulin - cedric.dumoulin@lifl.fr
+ * Christian W. Damus - bug 485220
+ *
******************************************************************************/
package org.eclipse.papyrus.layers3.ui.commands;
@@ -21,6 +24,7 @@ import org.eclipse.emf.transaction.RecordingCommand;
import org.eclipse.emf.transaction.TransactionalEditingDomain;
import org.eclipse.gmf.runtime.diagram.ui.resources.editor.parts.DiagramDocumentEditor;
import org.eclipse.gmf.runtime.notation.Diagram;
+import org.eclipse.papyrus.infra.core.sasheditor.editor.ISashWindowsContainer;
import org.eclipse.papyrus.infra.core.services.ServiceException;
import org.eclipse.papyrus.infra.emf.utils.ServiceUtilsForIEvaluationContext;
import org.eclipse.papyrus.layers.runtime.NotationDiagramHelper;
@@ -222,7 +226,7 @@ public abstract class AbstractLayerStackCommand extends AbstractHandler {
// Get page from the event !
// IWorkbenchPage page = HandlerUtil.getActiveWorkbenchWindow(event).getActivePage();
- IEditorPart editor = ServiceUtilsForIEvaluationContext.getInstance().getNestedActiveIEditorPart(context);
+ IEditorPart editor = ServiceUtilsForIEvaluationContext.getInstance().getService(ISashWindowsContainer.class, context).getActiveEditor();
if (!(editor instanceof DiagramDocumentEditor)) {
throw new NotFoundException("Selected editor do not contains Diagram");
diff --git a/extraplugins/layers/org.eclipse.papyrus.layers.ui/src/org/eclipse/papyrus/layers3/ui/commands/AbstractLayersCommand.java b/extraplugins/layers/org.eclipse.papyrus.layers.ui/src/org/eclipse/papyrus/layers3/ui/commands/AbstractLayersCommand.java
index ee1cb7d9ae4..967aa5e65a5 100644
--- a/extraplugins/layers/org.eclipse.papyrus.layers.ui/src/org/eclipse/papyrus/layers3/ui/commands/AbstractLayersCommand.java
+++ b/extraplugins/layers/org.eclipse.papyrus.layers.ui/src/org/eclipse/papyrus/layers3/ui/commands/AbstractLayersCommand.java
@@ -1,5 +1,6 @@
/*******************************************************************************
- * Copyright (c) 2013 CEA LIST.
+ * Copyright (c) 2013, 2016 CEA LIST, Christian W. Damus, and others.
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -7,6 +8,8 @@
*
* Contributors:
* Cedric Dumoulin - cedric.dumoulin@lifl.fr
+ * Christian W. Damus - bug 485220
+ *
******************************************************************************/
package org.eclipse.papyrus.layers3.ui.commands;
@@ -26,6 +29,7 @@ import org.eclipse.gmf.runtime.diagram.ui.resources.editor.parts.DiagramDocument
import org.eclipse.gmf.runtime.notation.Diagram;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.papyrus.infra.core.resource.ModelSet;
+import org.eclipse.papyrus.infra.core.sasheditor.editor.ISashWindowsContainer;
import org.eclipse.papyrus.infra.core.services.ServiceException;
import org.eclipse.papyrus.infra.emf.utils.ServiceUtilsForIEvaluationContext;
import org.eclipse.papyrus.layers.runtime.NotationDiagramHelper;
@@ -277,7 +281,7 @@ public abstract class AbstractLayersCommand extends AbstractHandler {
// Get page from the event !
// IWorkbenchPage page = HandlerUtil.getActiveWorkbenchWindow(event).getActivePage();
- IEditorPart editor = ServiceUtilsForIEvaluationContext.getInstance().getNestedActiveIEditorPart(context);
+ IEditorPart editor = ServiceUtilsForIEvaluationContext.getInstance().getService(ISashWindowsContainer.class, context).getActiveEditor();
if (!(editor instanceof DiagramDocumentEditor)) {
throw new NotFoundException("Selected editor do not contains Diagram");
@@ -333,7 +337,7 @@ public abstract class AbstractLayersCommand extends AbstractHandler {
*/
protected Diagram lookupNotationDiagramChecked(IEvaluationContext context) throws NotFoundException, ServiceException {
- IEditorPart editor = ServiceUtilsForIEvaluationContext.getInstance().getNestedActiveIEditorPart(context);
+ IEditorPart editor = ServiceUtilsForIEvaluationContext.getInstance().getService(ISashWindowsContainer.class, context).getActiveEditor();
if (!(editor instanceof DiagramDocumentEditor)) {
throw new NotFoundException("Selected editor do not contains Diagram"); //$NON-NLS-1$
diff --git a/extraplugins/layers/org.eclipse.papyrus.layers.ui/src/org/eclipse/papyrus/layers3/ui/handlers/AttachDiagramSelectedItemsToCurrentLayer.java b/extraplugins/layers/org.eclipse.papyrus.layers.ui/src/org/eclipse/papyrus/layers3/ui/handlers/AttachDiagramSelectedItemsToCurrentLayer.java
index e261438ce65..85ef692b7a3 100644
--- a/extraplugins/layers/org.eclipse.papyrus.layers.ui/src/org/eclipse/papyrus/layers3/ui/handlers/AttachDiagramSelectedItemsToCurrentLayer.java
+++ b/extraplugins/layers/org.eclipse.papyrus.layers.ui/src/org/eclipse/papyrus/layers3/ui/handlers/AttachDiagramSelectedItemsToCurrentLayer.java
@@ -1,5 +1,6 @@
/*******************************************************************************
- * Copyright (c) 2013 CEA LIST.
+ * Copyright (c) 2013, 2016 CEA LIST, Christian W. Damus, and others.
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -7,6 +8,8 @@
*
* Contributors:
* Cedric Dumoulin - cedric.dumoulin@lifl.fr
+ * Christian W. Damus - bug 485220
+ *
******************************************************************************/
/**
*
@@ -27,6 +30,7 @@ import org.eclipse.gmf.runtime.notation.View;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.jface.viewers.ITreeSelection;
+import org.eclipse.papyrus.infra.core.sasheditor.editor.ISashWindowsContainer;
import org.eclipse.papyrus.infra.core.services.ServiceException;
import org.eclipse.papyrus.infra.emf.utils.ServiceUtilsForIEvaluationContext;
import org.eclipse.papyrus.layers.stackmodel.NotFoundException;
@@ -141,7 +145,7 @@ public class AttachDiagramSelectedItemsToCurrentLayer extends AbstractLayersComm
// }
for (Object obj : structuredSelection.toList()) {
// Adapt the selected object to a View.
- View view = (View) Platform.getAdapterManager().getAdapter(obj, View.class);
+ View view = Platform.getAdapterManager().getAdapter(obj, View.class);
if (view != null) {
result.add(view);
}
@@ -162,7 +166,7 @@ public class AttachDiagramSelectedItemsToCurrentLayer extends AbstractLayersComm
IEditorPart editor;
try {
- editor = ServiceUtilsForIEvaluationContext.getInstance().getNestedActiveIEditorPart(context);
+ editor = ServiceUtilsForIEvaluationContext.getInstance().getService(ISashWindowsContainer.class, context).getActiveEditor();
} catch (ServiceException e) {
throw new NotFoundException("Selected editor do not provides ServiceRegistry", e); //$NON-NLS-1$
}
diff --git a/extraplugins/layers/org.eclipse.papyrus.layers.ui/src/org/eclipse/papyrus/layers3/ui/handlers/RemoveDiagramSelectedItemsFromCurrentLayer.java b/extraplugins/layers/org.eclipse.papyrus.layers.ui/src/org/eclipse/papyrus/layers3/ui/handlers/RemoveDiagramSelectedItemsFromCurrentLayer.java
index 7d6d2763e3d..decec23faec 100644
--- a/extraplugins/layers/org.eclipse.papyrus.layers.ui/src/org/eclipse/papyrus/layers3/ui/handlers/RemoveDiagramSelectedItemsFromCurrentLayer.java
+++ b/extraplugins/layers/org.eclipse.papyrus.layers.ui/src/org/eclipse/papyrus/layers3/ui/handlers/RemoveDiagramSelectedItemsFromCurrentLayer.java
@@ -1,5 +1,6 @@
/*******************************************************************************
- * Copyright (c) 2013 CEA LIST.
+ * Copyright (c) 2013, 2016 CEA LIST, Christian W. Damus, and others.
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -7,6 +8,8 @@
*
* Contributors:
* Cedric Dumoulin - cedric.dumoulin@lifl.fr
+ * Christian W. Damus - bug 485220
+ *
******************************************************************************/
/**
*
@@ -27,6 +30,7 @@ import org.eclipse.gmf.runtime.notation.View;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.jface.viewers.ITreeSelection;
+import org.eclipse.papyrus.infra.core.sasheditor.editor.ISashWindowsContainer;
import org.eclipse.papyrus.infra.core.services.ServiceException;
import org.eclipse.papyrus.infra.emf.utils.ServiceUtilsForIEvaluationContext;
import org.eclipse.papyrus.layers.stackmodel.NotFoundException;
@@ -144,7 +148,7 @@ public class RemoveDiagramSelectedItemsFromCurrentLayer extends AbstractLayersCo
// }
for (Object obj : structuredSelection.toList()) {
// Adapt the selected object to a View.
- View view = (View) Platform.getAdapterManager().getAdapter(obj, View.class);
+ View view = Platform.getAdapterManager().getAdapter(obj, View.class);
if (view != null) {
result.add(view);
}
@@ -165,7 +169,7 @@ public class RemoveDiagramSelectedItemsFromCurrentLayer extends AbstractLayersCo
IEditorPart editor;
try {
- editor = ServiceUtilsForIEvaluationContext.getInstance().getNestedActiveIEditorPart(context);
+ editor = ServiceUtilsForIEvaluationContext.getInstance().getService(ISashWindowsContainer.class, context).getActiveEditor();
} catch (ServiceException e) {
throw new NotFoundException("Selected editor do not provides ServiceRegistry", e); //$NON-NLS-1$
}
diff --git a/extraplugins/layers/org.eclipse.papyrus.layers.ui/src/org/eclipse/papyrus/layers3/ui/utils/HandlersUtils.java b/extraplugins/layers/org.eclipse.papyrus.layers.ui/src/org/eclipse/papyrus/layers3/ui/utils/HandlersUtils.java
index c135d2cedaa..12d9f01daee 100644
--- a/extraplugins/layers/org.eclipse.papyrus.layers.ui/src/org/eclipse/papyrus/layers3/ui/utils/HandlersUtils.java
+++ b/extraplugins/layers/org.eclipse.papyrus.layers.ui/src/org/eclipse/papyrus/layers3/ui/utils/HandlersUtils.java
@@ -1,5 +1,6 @@
/*******************************************************************************
- * Copyright (c) 2013 CEA LIST.
+ * Copyright (c) 2013, 2016 CEA LIST, Christian W. Damus, and others.
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -7,14 +8,17 @@
*
* Contributors:
* Cedric Dumoulin - cedric.dumoulin@lifl.fr
+ * Christian W. Damus - bug 485220
+ *
******************************************************************************/
package org.eclipse.papyrus.layers3.ui.utils;
import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.gmf.runtime.diagram.ui.resources.editor.parts.DiagramDocumentEditor;
import org.eclipse.gmf.runtime.notation.Diagram;
+import org.eclipse.papyrus.infra.core.sasheditor.editor.ISashWindowsContainer;
import org.eclipse.papyrus.infra.core.services.ServiceException;
-import org.eclipse.papyrus.infra.core.utils.ServiceUtilsForWorkbenchPage;
+import org.eclipse.papyrus.infra.ui.util.ServiceUtilsForWorkbenchPage;
import org.eclipse.papyrus.layers.stackmodel.NotFoundException;
import org.eclipse.ui.IEditorPart;
import org.eclipse.ui.IWorkbenchPage;
@@ -53,7 +57,7 @@ public class HandlersUtils {
throw new NotFoundException("No active IWorkbenchPage");
}
- IEditorPart editor = ServiceUtilsForWorkbenchPage.getInstance().getNestedActiveIEditorPart(page);
+ IEditorPart editor = ServiceUtilsForWorkbenchPage.getInstance().getService(ISashWindowsContainer.class, page).getActiveEditor();
if (!(editor instanceof DiagramDocumentEditor)) {
throw new NotFoundException("Selected editor do not contains Diagram");
diff --git a/extraplugins/marte/org.eclipse.papyrus.marte.vsl.ui/META-INF/MANIFEST.MF b/extraplugins/marte/org.eclipse.papyrus.marte.vsl.ui/META-INF/MANIFEST.MF
index a20cade7d41..853f983ae9e 100644
--- a/extraplugins/marte/org.eclipse.papyrus.marte.vsl.ui/META-INF/MANIFEST.MF
+++ b/extraplugins/marte/org.eclipse.papyrus.marte.vsl.ui/META-INF/MANIFEST.MF
@@ -10,7 +10,8 @@ Require-Bundle: org.eclipse.papyrus.marte.vsl;bundle-version="1.2.0",
org.eclipse.uml2.uml;bundle-version="3.1.0",
org.eclipse.papyrus.infra.core;bundle-version="1.2.0",
org.apache.log4j;bundle-version="1.2.15",
- org.eclipse.papyrus.uml.xtext.integration.ui;bundle-version="1.2.0"
+ org.eclipse.papyrus.uml.xtext.integration.ui;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.ui;bundle-version="1.2.0"
Export-Package: org.eclipse.papyrus.marte.vsl.ui.contentassist,
org.eclipse.papyrus.marte.vsl.ui.contentassist.antlr
Bundle-Vendor: %providerName
diff --git a/extraplugins/marte/org.eclipse.papyrus.marte.vsl.ui/src/org/eclipse/papyrus/marte/vsl/ui/contentassist/CopyOfVSLProposalProvider.java b/extraplugins/marte/org.eclipse.papyrus.marte.vsl.ui/src/org/eclipse/papyrus/marte/vsl/ui/contentassist/CopyOfVSLProposalProvider.java
index 4de4bf04498..20fd99627a9 100644
--- a/extraplugins/marte/org.eclipse.papyrus.marte.vsl.ui/src/org/eclipse/papyrus/marte/vsl/ui/contentassist/CopyOfVSLProposalProvider.java
+++ b/extraplugins/marte/org.eclipse.papyrus.marte.vsl.ui/src/org/eclipse/papyrus/marte/vsl/ui/contentassist/CopyOfVSLProposalProvider.java
@@ -22,7 +22,7 @@ import org.eclipse.emf.ecore.EObject;
import org.eclipse.jface.text.contentassist.CompletionProposal;
import org.eclipse.jface.text.contentassist.ICompletionProposal;
import org.eclipse.jface.viewers.ILabelProvider;
-import org.eclipse.papyrus.infra.core.utils.DisplayUtils;
+import org.eclipse.papyrus.infra.ui.util.DisplayUtils;
import org.eclipse.papyrus.marte.vsl.extensions.VSLContextUtil;
import org.eclipse.papyrus.marte.vsl.extensions.VSLTypeInferenceUtil;
import org.eclipse.papyrus.marte.vsl.vSL.DataTypeName;
diff --git a/extraplugins/qompass/codegen/cpp/org.eclipse.papyrus.texteditor.cdt/META-INF/MANIFEST.MF b/extraplugins/qompass/codegen/cpp/org.eclipse.papyrus.texteditor.cdt/META-INF/MANIFEST.MF
index 3e9446e008f..0704ac4555d 100644
--- a/extraplugins/qompass/codegen/cpp/org.eclipse.papyrus.texteditor.cdt/META-INF/MANIFEST.MF
+++ b/extraplugins/qompass/codegen/cpp/org.eclipse.papyrus.texteditor.cdt/META-INF/MANIFEST.MF
@@ -22,7 +22,11 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.papyrus.uml.diagram.common;bundle-version="1.2.0",
org.eclipse.papyrus.codegen.extensionpoints;bundle-version="1.2.0",
org.eclipse.papyrus.cpp.codegen;bundle-version="1.2.0",
- org.eclipse.papyrus.qompass.ui;bundle-version="1.2.0"
+ org.eclipse.papyrus.qompass.ui;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.ui;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.core.sasheditor;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.core.sasheditor.di;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.core.sashwindows.di;bundle-version="1.2.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 1.2.0.qualifier
diff --git a/extraplugins/qompass/codegen/cpp/org.eclipse.papyrus.texteditor.cdt/plugin.xml b/extraplugins/qompass/codegen/cpp/org.eclipse.papyrus.texteditor.cdt/plugin.xml
index 56bc6713d41..5f3fa8ff755 100644
--- a/extraplugins/qompass/codegen/cpp/org.eclipse.papyrus.texteditor.cdt/plugin.xml
+++ b/extraplugins/qompass/codegen/cpp/org.eclipse.papyrus.texteditor.cdt/plugin.xml
@@ -17,7 +17,7 @@
</command>
</extension>
<extension
- point="org.eclipse.papyrus.infra.core.papyrusDiagram">
+ point="org.eclipse.papyrus.infra.ui.papyrusDiagram">
<editorDiagram
factoryClass="org.eclipse.papyrus.texteditor.cdt.factory.PapyrusCDTEditorFactory"
icon="icons/texteditor.gif">
diff --git a/extraplugins/qompass/codegen/cpp/org.eclipse.papyrus.texteditor.cdt/src/org/eclipse/papyrus/texteditor/cdt/CommandSupport.java b/extraplugins/qompass/codegen/cpp/org.eclipse.papyrus.texteditor.cdt/src/org/eclipse/papyrus/texteditor/cdt/CommandSupport.java
index a3e32434420..d1b408c7852 100644
--- a/extraplugins/qompass/codegen/cpp/org.eclipse.papyrus.texteditor.cdt/src/org/eclipse/papyrus/texteditor/cdt/CommandSupport.java
+++ b/extraplugins/qompass/codegen/cpp/org.eclipse.papyrus.texteditor.cdt/src/org/eclipse/papyrus/texteditor/cdt/CommandSupport.java
@@ -23,7 +23,7 @@ import org.eclipse.emf.transaction.TransactionalEditingDomain;
import org.eclipse.gmf.runtime.common.core.command.CommandResult;
import org.eclipse.gmf.runtime.emf.commands.core.command.AbstractTransactionalCommand;
import org.eclipse.papyrus.infra.core.services.ServiceException;
-import org.eclipse.papyrus.infra.core.utils.ServiceUtilsForActionHandlers;
+import org.eclipse.papyrus.infra.ui.util.ServiceUtilsForActionHandlers;
/**
* Utility function. Allow execution of commands on a transactional command stack
diff --git a/extraplugins/qompass/codegen/cpp/org.eclipse.papyrus.texteditor.cdt/src/org/eclipse/papyrus/texteditor/cdt/editor/PapyrusCDTEditor.java b/extraplugins/qompass/codegen/cpp/org.eclipse.papyrus.texteditor.cdt/src/org/eclipse/papyrus/texteditor/cdt/editor/PapyrusCDTEditor.java
index 4ae37530cac..3d37ad4570f 100644
--- a/extraplugins/qompass/codegen/cpp/org.eclipse.papyrus.texteditor.cdt/src/org/eclipse/papyrus/texteditor/cdt/editor/PapyrusCDTEditor.java
+++ b/extraplugins/qompass/codegen/cpp/org.eclipse.papyrus.texteditor.cdt/src/org/eclipse/papyrus/texteditor/cdt/editor/PapyrusCDTEditor.java
@@ -36,12 +36,12 @@ import org.eclipse.jface.text.source.ISourceViewer;
import org.eclipse.jface.text.source.IVerticalRuler;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.ISelectionProvider;
-import org.eclipse.papyrus.infra.core.lifecycleevents.DoSaveEvent;
-import org.eclipse.papyrus.infra.core.lifecycleevents.ILifeCycleEventsProvider;
-import org.eclipse.papyrus.infra.core.lifecycleevents.ISaveAndDirtyService;
-import org.eclipse.papyrus.infra.core.lifecycleevents.ISaveEventListener;
import org.eclipse.papyrus.infra.core.services.ServiceException;
import org.eclipse.papyrus.infra.core.services.ServicesRegistry;
+import org.eclipse.papyrus.infra.ui.lifecycleevents.DoSaveEvent;
+import org.eclipse.papyrus.infra.ui.lifecycleevents.ILifeCycleEventsProvider;
+import org.eclipse.papyrus.infra.ui.lifecycleevents.ISaveAndDirtyService;
+import org.eclipse.papyrus.infra.ui.lifecycleevents.ISaveEventListener;
import org.eclipse.papyrus.texteditor.cdt.Activator;
import org.eclipse.papyrus.texteditor.cdt.sync.ObtainICElement;
import org.eclipse.papyrus.texteditor.cdt.sync.RevealCurrentOperation;
diff --git a/extraplugins/qompass/codegen/cpp/org.eclipse.papyrus.texteditor.cdt/src/org/eclipse/papyrus/texteditor/cdt/factory/PapyrusCDTEditorFactory.java b/extraplugins/qompass/codegen/cpp/org.eclipse.papyrus.texteditor.cdt/src/org/eclipse/papyrus/texteditor/cdt/factory/PapyrusCDTEditorFactory.java
index f4f552858e7..ce3d0697767 100644
--- a/extraplugins/qompass/codegen/cpp/org.eclipse.papyrus.texteditor.cdt/src/org/eclipse/papyrus/texteditor/cdt/factory/PapyrusCDTEditorFactory.java
+++ b/extraplugins/qompass/codegen/cpp/org.eclipse.papyrus.texteditor.cdt/src/org/eclipse/papyrus/texteditor/cdt/factory/PapyrusCDTEditorFactory.java
@@ -16,11 +16,11 @@
package org.eclipse.papyrus.texteditor.cdt.factory;
import org.eclipse.papyrus.infra.core.editor.BackboneException;
-import org.eclipse.papyrus.infra.core.extension.diagrameditor.AbstractEditorFactory;
-import org.eclipse.papyrus.infra.core.multidiagram.actionbarcontributor.ActionBarContributorRegistry;
import org.eclipse.papyrus.infra.core.sasheditor.contentprovider.IEditorModel;
import org.eclipse.papyrus.infra.core.sasheditor.contentprovider.IPageModel;
import org.eclipse.papyrus.infra.core.services.ServiceException;
+import org.eclipse.papyrus.infra.ui.extension.diagrameditor.AbstractEditorFactory;
+import org.eclipse.papyrus.infra.ui.multidiagram.actionbarcontributor.ActionBarContributorRegistry;
import org.eclipse.papyrus.texteditor.cdt.Activator;
import org.eclipse.papyrus.texteditor.cdt.editor.PapyrusCDTEditor;
import org.eclipse.papyrus.texteditor.model.texteditormodel.TextEditorModel;
@@ -42,7 +42,7 @@ public class PapyrusCDTEditorFactory extends AbstractEditorFactory {
/**
* Create the IPageModel that is used by the SashWindows to manage the editor.
*
- * @see org.eclipse.papyrus.infra.core.editorsfactory.IEditorFactory#createIPageModel(java.lang.Object)
+ * @see org.eclipse.papyrus.infra.ui.editorsfactory.IEditorFactory#createIPageModel(java.lang.Object)
*
* @param pageIdentifier
* The model pushed in the sashmodel by the creation command
@@ -54,7 +54,7 @@ public class PapyrusCDTEditorFactory extends AbstractEditorFactory {
}
/**
- * @see org.eclipse.papyrus.infra.core.editorsfactory.IEditorFactory#isPageModelFactoryFor(java.lang.Object)
+ * @see org.eclipse.papyrus.infra.ui.editorsfactory.IEditorFactory#isPageModelFactoryFor(java.lang.Object)
*
* @param pageIdentifier
* @return
diff --git a/extraplugins/qompass/codegen/cpp/org.eclipse.papyrus.texteditor.cdt/src/org/eclipse/papyrus/texteditor/cdt/handler/PapyrusCDTEditorHandler.java b/extraplugins/qompass/codegen/cpp/org.eclipse.papyrus.texteditor.cdt/src/org/eclipse/papyrus/texteditor/cdt/handler/PapyrusCDTEditorHandler.java
index 7d6df1edfc4..5131d325044 100644
--- a/extraplugins/qompass/codegen/cpp/org.eclipse.papyrus.texteditor.cdt/src/org/eclipse/papyrus/texteditor/cdt/handler/PapyrusCDTEditorHandler.java
+++ b/extraplugins/qompass/codegen/cpp/org.eclipse.papyrus.texteditor.cdt/src/org/eclipse/papyrus/texteditor/cdt/handler/PapyrusCDTEditorHandler.java
@@ -1,6 +1,5 @@
/*****************************************************************************
- * Copyright (c) 2012 CEA LIST.
- *
+ * Copyright (c) 2012, 2016 CEA LIST, Christian W. Damus, and others.
*
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
@@ -10,6 +9,7 @@
* Contributors:
* Vincent Lorenzo (CEA LIST) Vincent.Lorenzo@cea.fr - Initial API and implementation
* Ansgar Radermacher (CEA LIST) ansgar.radermacher@cea.fr
+ * Christian W. Damus - bug 485220
*
*****************************************************************************/
package org.eclipse.papyrus.texteditor.cdt.handler;
@@ -31,13 +31,13 @@ import org.eclipse.papyrus.codegen.extensionpoints.ILangCodegen;
import org.eclipse.papyrus.codegen.extensionpoints.LanguageCodegen;
import org.eclipse.papyrus.commands.CheckedOperationHistory;
import org.eclipse.papyrus.infra.core.resource.NotFoundException;
-import org.eclipse.papyrus.infra.core.sasheditor.contentprovider.IPageManager;
import org.eclipse.papyrus.infra.core.sasheditor.contentprovider.ISashWindowsContentProvider;
import org.eclipse.papyrus.infra.core.sasheditor.di.contentprovider.DiSashModelManager;
import org.eclipse.papyrus.infra.core.sasheditor.editor.ISashWindowsContainer;
import org.eclipse.papyrus.infra.core.sashwindows.di.PageRef;
import org.eclipse.papyrus.infra.core.sashwindows.di.SashPanel;
import org.eclipse.papyrus.infra.core.sashwindows.di.TabFolder;
+import org.eclipse.papyrus.infra.core.sashwindows.di.service.IPageManager;
import org.eclipse.papyrus.infra.core.services.ServiceException;
import org.eclipse.papyrus.infra.core.services.ServicesRegistry;
import org.eclipse.papyrus.infra.core.utils.ServiceUtils;
@@ -81,8 +81,7 @@ public class PapyrusCDTEditorHandler extends CmdHandler {
// Filter Classes (including Behaviors, since Behavior inherits from Class), Operation and Transition
if (selectedEObject instanceof Class ||
selectedEObject instanceof Operation ||
- selectedEObject instanceof Transition)
- {
+ selectedEObject instanceof Transition) {
URI uri = selectedEObject.eResource().getURI();
// URIConverter uriConverter = resource.getResourceSet().getURIConverter();
@@ -147,7 +146,7 @@ public class PapyrusCDTEditorHandler extends CmdHandler {
*/
public void doExecute(final ServicesRegistry serviceRegistry) throws ServiceException, NotFoundException {
// Get the page manager allowing to add/open an editor.
- final IPageManager pageMngr = ServiceUtils.getInstance().getIPageManager(serviceRegistry);
+ final IPageManager pageMngr = ServiceUtils.getInstance().getService(IPageManager.class, serviceRegistry);
Classifier classifierToEdit = getClassifierToEdit();
TextEditorModel editorModel = getEditorModel(serviceRegistry, classifierToEdit);
@@ -163,7 +162,7 @@ public class PapyrusCDTEditorHandler extends CmdHandler {
if (codegen.getTargetProject(classifierToEdit, true) == null) {
return;
}
-
+
if (selectedEObject instanceof Transition) {
Transition transition = (Transition) selectedEObject;
if (transition.getEffect() == null) {
@@ -182,8 +181,7 @@ public class PapyrusCDTEditorHandler extends CmdHandler {
if (pageMngr.isOpen(editorModelFinal)) {
// select existing editor
pageMngr.selectPage(editorModelFinal);
- }
- else {
+ } else {
pageMngr.openPage(editorModelFinal);
}
try {
@@ -194,13 +192,12 @@ public class PapyrusCDTEditorHandler extends CmdHandler {
if (rootModel instanceof TabFolder) {
// root = tabFolder, i.e. there is a single folder
- ISashWindowsContainer sashContainer = ServiceUtils.getInstance().getISashWindowsContainer(serviceRegistry);
+ ISashWindowsContainer sashContainer = ServiceUtils.getInstance().getService(ISashWindowsContainer.class, serviceRegistry);
int index = lookupIndex((TabFolder) rootModel, editorModelFinal);
if (index != -1) {
sashContentProvider.createFolder(sashContainer.getSelectedTabFolderModel(), index, sashContainer.getSelectedTabFolderModel(), SWT.RIGHT);
}
- }
- else if (rootModel instanceof SashPanel) {
+ } else if (rootModel instanceof SashPanel) {
// multiple tab-folders exist. Find existing one and move editorModel to other
// TODO
// ISashWindowsContainer sashContainer = ServiceUtils.getInstance().getISashWindowsContainer(serviceRegistry);
@@ -234,8 +231,7 @@ public class PapyrusCDTEditorHandler extends CmdHandler {
return null;
}
editorModel.setGeneratorID(LanguageCodegen.getID(codegen));
- TextEditorModelSharedResource model = (TextEditorModelSharedResource)
- ServiceUtils.getInstance().getModelSet(serviceRegistry).getModelChecked(TextEditorModelSharedResource.MODEL_ID);
+ TextEditorModelSharedResource model = (TextEditorModelSharedResource) ServiceUtils.getInstance().getModelSet(serviceRegistry).getModelChecked(TextEditorModelSharedResource.MODEL_ID);
model.addTextEditorModel(editorModel);
return editorModel;
@@ -249,11 +245,9 @@ public class PapyrusCDTEditorHandler extends CmdHandler {
protected Classifier getClassifierToEdit() {
if (selectedEObject instanceof Operation) {
return ((Operation) selectedEObject).getFeaturingClassifiers().get(0);
- }
- else if (selectedEObject instanceof Transition) {
+ } else if (selectedEObject instanceof Transition) {
return ((Transition) selectedEObject).getContainer().getStateMachine().getContext();
- }
- else if (selectedEObject instanceof Behavior) {
+ } else if (selectedEObject instanceof Behavior) {
Element owner = (Behavior) selectedEObject;
while (owner != null) {
owner = owner.getOwner();
@@ -262,8 +256,7 @@ public class PapyrusCDTEditorHandler extends CmdHandler {
}
}
return null;
- }
- else if (selectedEObject instanceof Classifier) {
+ } else if (selectedEObject instanceof Classifier) {
// must be class or datatype
return (Classifier) selectedEObject;
}
@@ -282,8 +275,7 @@ public class PapyrusCDTEditorHandler extends CmdHandler {
* @throws NotFoundException
*/
protected TextEditorModel getEditorModel(final ServicesRegistry serviceRegistry, Classifier classifierToEdit) throws ServiceException, NotFoundException {
- TextEditorModelSharedResource model = (TextEditorModelSharedResource)
- ServiceUtils.getInstance().getModelSet(serviceRegistry).getModelChecked(TextEditorModelSharedResource.MODEL_ID);
+ TextEditorModelSharedResource model = (TextEditorModelSharedResource) ServiceUtils.getInstance().getModelSet(serviceRegistry).getModelChecked(TextEditorModelSharedResource.MODEL_ID);
return model.getTextEditorModel(classifierToEdit);
}
diff --git a/extraplugins/qompass/codegen/cpp/org.eclipse.papyrus.views.cpp/META-INF/MANIFEST.MF b/extraplugins/qompass/codegen/cpp/org.eclipse.papyrus.views.cpp/META-INF/MANIFEST.MF
index 3e836907323..4a263ec3c2e 100644
--- a/extraplugins/qompass/codegen/cpp/org.eclipse.papyrus.views.cpp/META-INF/MANIFEST.MF
+++ b/extraplugins/qompass/codegen/cpp/org.eclipse.papyrus.views.cpp/META-INF/MANIFEST.MF
@@ -15,7 +15,8 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.gmf.runtime.emf.commands.core;bundle-version="1.4.0",
org.eclipse.papyrus.uml.tools.utils;bundle-version="1.2.0",
org.eclipse.papyrus.infra.emf;bundle-version="1.2.0",
- org.eclipse.uml2.uml.profile.standard;bundle-version="1.0.100"
+ org.eclipse.uml2.uml.profile.standard;bundle-version="1.0.100",
+ org.eclipse.papyrus.infra.ui;bundle-version="1.2.0"
Export-Package: org.eclipse.papyrus.views.cpp; uses:="org.eclipse.ui,
com.cea.papyrus.views.panels,
org.eclipse.jface.viewers,
diff --git a/extraplugins/qompass/codegen/cpp/org.eclipse.papyrus.views.cpp/src/org/eclipse/papyrus/views/cpp/CommandSupport.java b/extraplugins/qompass/codegen/cpp/org.eclipse.papyrus.views.cpp/src/org/eclipse/papyrus/views/cpp/CommandSupport.java
index ab69b52fd0d..46c46adb5ae 100644
--- a/extraplugins/qompass/codegen/cpp/org.eclipse.papyrus.views.cpp/src/org/eclipse/papyrus/views/cpp/CommandSupport.java
+++ b/extraplugins/qompass/codegen/cpp/org.eclipse.papyrus.views.cpp/src/org/eclipse/papyrus/views/cpp/CommandSupport.java
@@ -21,7 +21,7 @@ import org.eclipse.core.runtime.IProgressMonitor;
import org.eclipse.emf.transaction.TransactionalEditingDomain;
import org.eclipse.gmf.runtime.common.core.command.CommandResult;
import org.eclipse.gmf.runtime.emf.commands.core.command.AbstractTransactionalCommand;
-import org.eclipse.papyrus.infra.core.utils.EditorUtils;
+import org.eclipse.papyrus.infra.ui.util.EditorUtils;
/**
* Utility function. Allow adaption to command stack
diff --git a/extraplugins/qompass/codegen/java/org.eclipse.papyrus.java.reverse.ui/META-INF/MANIFEST.MF b/extraplugins/qompass/codegen/java/org.eclipse.papyrus.java.reverse.ui/META-INF/MANIFEST.MF
index b24c01b97bd..831105a95fd 100644
--- a/extraplugins/qompass/codegen/java/org.eclipse.papyrus.java.reverse.ui/META-INF/MANIFEST.MF
+++ b/extraplugins/qompass/codegen/java/org.eclipse.papyrus.java.reverse.ui/META-INF/MANIFEST.MF
@@ -9,7 +9,8 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.gmf.runtime.diagram.core,
org.eclipse.papyrus.infra.gmfdiag.dnd;bundle-version="1.2.0",
org.eclipse.papyrus.infra.emf.diagram.common;bundle-version="1.2.0",
- org.eclipse.papyrus.uml.diagram.common;bundle-version="1.2.0"
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.ui;bundle-version="1.2.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 1.2.0.qualifier
diff --git a/extraplugins/qompass/codegen/java/org.eclipse.papyrus.java.reverse.ui/src/org/eclipse/papyrus/java/reverse/ui/DndReverseCodeHandler.java b/extraplugins/qompass/codegen/java/org.eclipse.papyrus.java.reverse.ui/src/org/eclipse/papyrus/java/reverse/ui/DndReverseCodeHandler.java
index 5c5568282c7..491ddc1c18a 100644
--- a/extraplugins/qompass/codegen/java/org.eclipse.papyrus.java.reverse.ui/src/org/eclipse/papyrus/java/reverse/ui/DndReverseCodeHandler.java
+++ b/extraplugins/qompass/codegen/java/org.eclipse.papyrus.java.reverse.ui/src/org/eclipse/papyrus/java/reverse/ui/DndReverseCodeHandler.java
@@ -28,7 +28,7 @@ import org.eclipse.jdt.core.IJavaElement;
import org.eclipse.jdt.core.JavaModelException;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.TreeSelection;
-import org.eclipse.papyrus.infra.core.editor.IMultiDiagramEditor;
+import org.eclipse.papyrus.infra.ui.editor.IMultiDiagramEditor;
import org.eclipse.papyrus.java.reverse.ui.dialog.DndReverseCodeDialog;
import org.eclipse.papyrus.java.reverse.ui.dialog.ReverseCodeDialog;
import org.eclipse.papyrus.uml.diagram.common.util.MDTUtil;
diff --git a/extraplugins/qompass/codegen/java/org.eclipse.papyrus.java.reverse.ui/src/org/eclipse/papyrus/java/reverse/ui/ReverseCodeHandler.java b/extraplugins/qompass/codegen/java/org.eclipse.papyrus.java.reverse.ui/src/org/eclipse/papyrus/java/reverse/ui/ReverseCodeHandler.java
index 433344eba35..6bd5d992149 100644
--- a/extraplugins/qompass/codegen/java/org.eclipse.papyrus.java.reverse.ui/src/org/eclipse/papyrus/java/reverse/ui/ReverseCodeHandler.java
+++ b/extraplugins/qompass/codegen/java/org.eclipse.papyrus.java.reverse.ui/src/org/eclipse/papyrus/java/reverse/ui/ReverseCodeHandler.java
@@ -17,10 +17,10 @@ import org.eclipse.emf.transaction.RecordingCommand;
import org.eclipse.emf.transaction.TransactionalEditingDomain;
import org.eclipse.jface.dialogs.ErrorDialog;
import org.eclipse.jface.window.Window;
-import org.eclipse.papyrus.infra.core.editor.IMultiDiagramEditor;
import org.eclipse.papyrus.infra.core.services.ServiceException;
-import org.eclipse.papyrus.infra.core.utils.EditorUtils;
-import org.eclipse.papyrus.infra.core.utils.ServiceUtilsForActionHandlers;
+import org.eclipse.papyrus.infra.ui.editor.IMultiDiagramEditor;
+import org.eclipse.papyrus.infra.ui.util.EditorUtils;
+import org.eclipse.papyrus.infra.ui.util.ServiceUtilsForActionHandlers;
import org.eclipse.papyrus.java.reverse.ui.dialog.ReverseCodeDialog;
import org.eclipse.papyrus.uml.tools.model.UmlUtils;
import org.eclipse.swt.widgets.Shell;
diff --git a/extraplugins/qompass/codegen/java/org.eclipse.papyrus.java.reverse.ui/src/org/eclipse/papyrus/java/reverse/ui/handlers/CreateAssociationFromPropertyHandler.java b/extraplugins/qompass/codegen/java/org.eclipse.papyrus.java.reverse.ui/src/org/eclipse/papyrus/java/reverse/ui/handlers/CreateAssociationFromPropertyHandler.java
index 848f5ea6cbc..f9388cdfd3b 100644
--- a/extraplugins/qompass/codegen/java/org.eclipse.papyrus.java.reverse.ui/src/org/eclipse/papyrus/java/reverse/ui/handlers/CreateAssociationFromPropertyHandler.java
+++ b/extraplugins/qompass/codegen/java/org.eclipse.papyrus.java.reverse.ui/src/org/eclipse/papyrus/java/reverse/ui/handlers/CreateAssociationFromPropertyHandler.java
@@ -20,7 +20,7 @@ import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.jface.viewers.TreeSelection;
import org.eclipse.papyrus.infra.core.services.ServiceException;
-import org.eclipse.papyrus.infra.core.utils.ServiceUtilsForActionHandlers;
+import org.eclipse.papyrus.infra.ui.util.ServiceUtilsForActionHandlers;
import org.eclipse.papyrus.java.reverse.utils.TypeOperationsEnhanced;
import org.eclipse.ui.IWorkbenchPage;
import org.eclipse.ui.IWorkbenchWindow;
diff --git a/extraplugins/qompass/codegen/org.eclipse.papyrus.codegen.base/.classpath b/extraplugins/qompass/codegen/org.eclipse.papyrus.codegen.base/.classpath
index ad32c83a788..098194ca4b7 100644
--- a/extraplugins/qompass/codegen/org.eclipse.papyrus.codegen.base/.classpath
+++ b/extraplugins/qompass/codegen/org.eclipse.papyrus.codegen.base/.classpath
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<classpath>
- <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
+ <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.7"/>
<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
<classpathentry kind="src" path="src"/>
<classpathentry kind="output" path="bin"/>
diff --git a/extraplugins/qompass/codegen/org.eclipse.papyrus.codegen.base/.settings/org.eclipse.jdt.core.prefs b/extraplugins/qompass/codegen/org.eclipse.papyrus.codegen.base/.settings/org.eclipse.jdt.core.prefs
index 94d61f00da6..f08be2b06c4 100644
--- a/extraplugins/qompass/codegen/org.eclipse.papyrus.codegen.base/.settings/org.eclipse.jdt.core.prefs
+++ b/extraplugins/qompass/codegen/org.eclipse.papyrus.codegen.base/.settings/org.eclipse.jdt.core.prefs
@@ -1,10 +1,10 @@
eclipse.preferences.version=1
org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
-org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.6
-org.eclipse.jdt.core.compiler.compliance=1.6
+org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.7
+org.eclipse.jdt.core.compiler.compliance=1.7
org.eclipse.jdt.core.compiler.problem.assertIdentifier=error
org.eclipse.jdt.core.compiler.problem.enumIdentifier=error
-org.eclipse.jdt.core.compiler.source=1.6
+org.eclipse.jdt.core.compiler.source=1.7
org.eclipse.jdt.core.formatter.align_type_members_on_columns=false
org.eclipse.jdt.core.formatter.alignment_for_arguments_in_allocation_expression=16
org.eclipse.jdt.core.formatter.alignment_for_arguments_in_annotation=0
diff --git a/extraplugins/qompass/codegen/org.eclipse.papyrus.codegen.base/META-INF/MANIFEST.MF b/extraplugins/qompass/codegen/org.eclipse.papyrus.codegen.base/META-INF/MANIFEST.MF
index a09b81b1fc6..671eafefef9 100644
--- a/extraplugins/qompass/codegen/org.eclipse.papyrus.codegen.base/META-INF/MANIFEST.MF
+++ b/extraplugins/qompass/codegen/org.eclipse.papyrus.codegen.base/META-INF/MANIFEST.MF
@@ -6,7 +6,8 @@ Require-Bundle: org.eclipse.core.runtime,
org.eclipse.papyrus.infra.core;bundle-version="1.2.0",
org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
org.eclipse.papyrus.infra.emf;bundle-version="1.2.0",
- org.eclipse.emf.transaction;bundle-version="1.8.0"
+ org.eclipse.emf.transaction;bundle-version="1.8.0",
+ org.eclipse.papyrus.infra.ui;bundle-version="1.2.0"
Export-Package: org.eclipse.papyrus.codegen.base,
org.eclipse.papyrus.codegen.base.codesync
Bundle-Vendor: %providerName
@@ -17,4 +18,4 @@ Bundle-Localization: plugin
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.codegen.base.Activator
Bundle-SymbolicName: org.eclipse.papyrus.codegen.base;singleton:=true
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Bundle-RequiredExecutionEnvironment: JavaSE-1.7
diff --git a/extraplugins/qompass/codegen/org.eclipse.papyrus.codegen.base/src/org/eclipse/papyrus/codegen/base/codesync/ManageChangeEvents.java b/extraplugins/qompass/codegen/org.eclipse.papyrus.codegen.base/src/org/eclipse/papyrus/codegen/base/codesync/ManageChangeEvents.java
index fdac34742d7..2b1c77b6402 100644
--- a/extraplugins/qompass/codegen/org.eclipse.papyrus.codegen.base/src/org/eclipse/papyrus/codegen/base/codesync/ManageChangeEvents.java
+++ b/extraplugins/qompass/codegen/org.eclipse.papyrus.codegen.base/src/org/eclipse/papyrus/codegen/base/codesync/ManageChangeEvents.java
@@ -20,12 +20,12 @@ import java.util.Map;
import org.eclipse.emf.common.util.EList;
import org.eclipse.emf.transaction.TransactionalEditingDomain;
import org.eclipse.papyrus.codegen.base.Activator;
-import org.eclipse.papyrus.infra.core.editor.IMultiDiagramEditor;
-import org.eclipse.papyrus.infra.core.services.EditorLifecycleEventListener;
-import org.eclipse.papyrus.infra.core.services.EditorLifecycleManager;
import org.eclipse.papyrus.infra.core.services.ServiceException;
import org.eclipse.papyrus.infra.core.services.ServicesRegistry;
import org.eclipse.papyrus.infra.emf.utils.ServiceUtilsForResourceSet;
+import org.eclipse.papyrus.infra.ui.editor.IMultiDiagramEditor;
+import org.eclipse.papyrus.infra.ui.services.EditorLifecycleEventListener;
+import org.eclipse.papyrus.infra.ui.services.EditorLifecycleManager;
/**
* Manage and update change events for incremental code generation
diff --git a/extraplugins/qompass/codegen/org.eclipse.papyrus.texteditor.modelexplorer/META-INF/MANIFEST.MF b/extraplugins/qompass/codegen/org.eclipse.papyrus.texteditor.modelexplorer/META-INF/MANIFEST.MF
index f3e062e8080..1b103be399d 100644
--- a/extraplugins/qompass/codegen/org.eclipse.papyrus.texteditor.modelexplorer/META-INF/MANIFEST.MF
+++ b/extraplugins/qompass/codegen/org.eclipse.papyrus.texteditor.modelexplorer/META-INF/MANIFEST.MF
@@ -21,5 +21,5 @@ Bundle-Version: 1.2.0.qualifier
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.texteditor.modelexplorer.Activator
Bundle-SymbolicName: org.eclipse.papyrus.texteditor.modelexplorer;singleton:=true
-Import-Package: org.eclipse.papyrus.infra.core.editorsfactory,
+Import-Package: org.eclipse.papyrus.infra.ui.editorsfactory,
org.eclipse.papyrus.infra.viewpoints.policy
diff --git a/extraplugins/qompass/designer/tracing/org.eclipse.papyrus.qompass.modellibs.tracing/META-INF/MANIFEST.MF b/extraplugins/qompass/designer/tracing/org.eclipse.papyrus.qompass.modellibs.tracing/META-INF/MANIFEST.MF
index 6908c801140..b6f74cde686 100644
--- a/extraplugins/qompass/designer/tracing/org.eclipse.papyrus.qompass.modellibs.tracing/META-INF/MANIFEST.MF
+++ b/extraplugins/qompass/designer/tracing/org.eclipse.papyrus.qompass.modellibs.tracing/META-INF/MANIFEST.MF
@@ -16,7 +16,8 @@ Require-Bundle: org.eclipse.papyrus.fcm.profile;bundle-version="1.2.0",
com.google.guava;bundle-version="11.0.0",
org.eclipse.xtext.xbase.lib,
org.eclipse.xtend.lib,
- org.eclipse.xtend.lib.macro
+ org.eclipse.xtend.lib.macro,
+ org.eclipse.papyrus.infra.ui;bundle-version="1.2.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 1.2.0.qualifier
diff --git a/extraplugins/qompass/designer/tracing/org.eclipse.papyrus.qompass.modellibs.tracing/src/org/eclipse/papyrus/qompass/modellibs/tracing/QompassTraceMechanism.java b/extraplugins/qompass/designer/tracing/org.eclipse.papyrus.qompass.modellibs.tracing/src/org/eclipse/papyrus/qompass/modellibs/tracing/QompassTraceMechanism.java
index 8e286a6792e..adf406d18eb 100644
--- a/extraplugins/qompass/designer/tracing/org.eclipse.papyrus.qompass.modellibs.tracing/src/org/eclipse/papyrus/qompass/modellibs/tracing/QompassTraceMechanism.java
+++ b/extraplugins/qompass/designer/tracing/org.eclipse.papyrus.qompass.modellibs.tracing/src/org/eclipse/papyrus/qompass/modellibs/tracing/QompassTraceMechanism.java
@@ -16,10 +16,10 @@ import org.eclipse.papyrus.FCM.ContainerRule;
import org.eclipse.papyrus.FCM.RuleApplication;
import org.eclipse.papyrus.infra.core.resource.ModelSet;
import org.eclipse.papyrus.infra.core.services.ServiceException;
-import org.eclipse.papyrus.infra.core.utils.ServiceUtilsForActionHandlers;
import org.eclipse.papyrus.infra.services.tracepoints.ITraceMechanism;
import org.eclipse.papyrus.infra.services.tracepoints.MarkerUtils;
import org.eclipse.papyrus.infra.services.tracepoints.TraceActions.TAOperation;
+import org.eclipse.papyrus.infra.ui.util.ServiceUtilsForActionHandlers;
import org.eclipse.papyrus.infra.services.tracepoints.TracepointConstants;
import org.eclipse.papyrus.qompass.designer.core.Description;
import org.eclipse.papyrus.qompass.designer.core.Log;
diff --git a/extraplugins/req/org.eclipse.papyrus.req.bmm.diagram.common/META-INF/MANIFEST.MF b/extraplugins/req/org.eclipse.papyrus.req.bmm.diagram.common/META-INF/MANIFEST.MF
index bd97d331b4c..b6795fb088f 100644
--- a/extraplugins/req/org.eclipse.papyrus.req.bmm.diagram.common/META-INF/MANIFEST.MF
+++ b/extraplugins/req/org.eclipse.papyrus.req.bmm.diagram.common/META-INF/MANIFEST.MF
@@ -8,7 +8,8 @@ Require-Bundle: org.eclipse.papyrus.uml.tools.utils,
org.eclipse.papyrus.uml.diagram.common,
org.eclipse.ui,
org.eclipse.core.runtime,
- org.eclipse.papyrus.infra.core;bundle-version="1.2.0"
+ org.eclipse.papyrus.infra.core;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.ui;bundle-version="1.2.0"
Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Bundle-ActivationPolicy: lazy
Bundle-Vendor: %Bundle-Vendor
diff --git a/extraplugins/req/org.eclipse.papyrus.req.bmm.diagram.common/plugin.xml b/extraplugins/req/org.eclipse.papyrus.req.bmm.diagram.common/plugin.xml
index 0ada562a96a..bc2fec87e6e 100644
--- a/extraplugins/req/org.eclipse.papyrus.req.bmm.diagram.common/plugin.xml
+++ b/extraplugins/req/org.eclipse.papyrus.req.bmm.diagram.common/plugin.xml
@@ -2,7 +2,7 @@
<?eclipse version="3.4"?>
<plugin>
<extension
- point="org.eclipse.papyrus.infra.core.papyrusDiagram">
+ point="org.eclipse.papyrus.infra.ui.papyrusDiagram">
<diagramCategory
class="org.eclipse.papyrus.req.bmm.diagram.common.commands.CreateBmmModelCommand"
description="Papyrus BMM diagrams"
diff --git a/extraplugins/req/org.eclipse.papyrus.req.domainModel2Profile/META-INF/MANIFEST.MF b/extraplugins/req/org.eclipse.papyrus.req.domainModel2Profile/META-INF/MANIFEST.MF
index 974a54a881c..d763c148250 100644
--- a/extraplugins/req/org.eclipse.papyrus.req.domainModel2Profile/META-INF/MANIFEST.MF
+++ b/extraplugins/req/org.eclipse.papyrus.req.domainModel2Profile/META-INF/MANIFEST.MF
@@ -16,7 +16,8 @@ Require-Bundle: org.eclipse.core.runtime,
org.eclipse.papyrus.infra.emf,
org.eclipse.gmf.runtime.diagram.ui,
org.eclipse.core.resources,
- org.eclipse.papyrus.req.sysml.preferences
+ org.eclipse.papyrus.req.sysml.preferences,
+ org.eclipse.papyrus.infra.ui;bundle-version="1.2.0"
Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Bundle-ActivationPolicy: lazy
Import-Package: org.eclipse.gmf.runtime.notation
diff --git a/extraplugins/req/org.eclipse.papyrus.req.domainModel2Profile/src/org/eclipse/papyrus/req/domainModel2Profile/handler/PapyrusAbstractHandler.java b/extraplugins/req/org.eclipse.papyrus.req.domainModel2Profile/src/org/eclipse/papyrus/req/domainModel2Profile/handler/PapyrusAbstractHandler.java
index b2b91545aa8..04451a3d718 100644
--- a/extraplugins/req/org.eclipse.papyrus.req.domainModel2Profile/src/org/eclipse/papyrus/req/domainModel2Profile/handler/PapyrusAbstractHandler.java
+++ b/extraplugins/req/org.eclipse.papyrus.req.domainModel2Profile/src/org/eclipse/papyrus/req/domainModel2Profile/handler/PapyrusAbstractHandler.java
@@ -25,9 +25,9 @@ import org.eclipse.gmf.runtime.diagram.ui.editparts.GraphicalEditPart;
import org.eclipse.gmf.runtime.notation.View;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.IStructuredSelection;
-import org.eclipse.papyrus.infra.core.editor.IMultiDiagramEditor;
import org.eclipse.papyrus.infra.core.services.ServiceException;
import org.eclipse.papyrus.infra.emf.utils.ServiceUtilsForHandlers;
+import org.eclipse.papyrus.infra.ui.editor.IMultiDiagramEditor;
import org.eclipse.ui.ISelectionService;
import org.eclipse.ui.PlatformUI;
import org.eclipse.uml2.uml.Element;
diff --git a/extraplugins/req/org.eclipse.papyrus.req.sysml.assistant/META-INF/MANIFEST.MF b/extraplugins/req/org.eclipse.papyrus.req.sysml.assistant/META-INF/MANIFEST.MF
index 85aea43fb41..b6e4bbef5f7 100644
--- a/extraplugins/req/org.eclipse.papyrus.req.sysml.assistant/META-INF/MANIFEST.MF
+++ b/extraplugins/req/org.eclipse.papyrus.req.sysml.assistant/META-INF/MANIFEST.MF
@@ -13,7 +13,8 @@ Require-Bundle: org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.6.0",
org.eclipse.papyrus.infra.core;bundle-version="0.9.0";resolution:=optional,
org.eclipse.core.expressions;bundle-version="3.5.0",
org.eclipse.papyrus.req.domainModel2Profile;bundle-version="0.7.0",
- org.eclipse.papyrus.uml.profile.drafter;bundle-version="1.2.0"
+ org.eclipse.papyrus.uml.profile.drafter;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.ui;bundle-version="1.2.0"
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Bundle-ActivationPolicy: lazy
Export-Package: org.eclipse.papyrus.req.sysml.assistant,
diff --git a/extraplugins/req/org.eclipse.papyrus.req.sysml.assistant/src/org/eclipse/papyrus/req/sysml/assistant/handler/PapyrusAbstractHandler.java b/extraplugins/req/org.eclipse.papyrus.req.sysml.assistant/src/org/eclipse/papyrus/req/sysml/assistant/handler/PapyrusAbstractHandler.java
index 0c905d2b965..2f5c089dd9f 100644
--- a/extraplugins/req/org.eclipse.papyrus.req.sysml.assistant/src/org/eclipse/papyrus/req/sysml/assistant/handler/PapyrusAbstractHandler.java
+++ b/extraplugins/req/org.eclipse.papyrus.req.sysml.assistant/src/org/eclipse/papyrus/req/sysml/assistant/handler/PapyrusAbstractHandler.java
@@ -25,9 +25,9 @@ import org.eclipse.gmf.runtime.diagram.ui.editparts.GraphicalEditPart;
import org.eclipse.gmf.runtime.notation.View;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.IStructuredSelection;
-import org.eclipse.papyrus.infra.core.editor.IMultiDiagramEditor;
import org.eclipse.papyrus.infra.core.services.ServiceException;
import org.eclipse.papyrus.infra.emf.utils.ServiceUtilsForHandlers;
+import org.eclipse.papyrus.infra.ui.editor.IMultiDiagramEditor;
import org.eclipse.ui.ISelectionService;
import org.eclipse.ui.PlatformUI;
import org.eclipse.uml2.uml.Element;
diff --git a/extraplugins/req/org.eclipse.papyrus.req.sysml.traceabilityassistant/META-INF/MANIFEST.MF b/extraplugins/req/org.eclipse.papyrus.req.sysml.traceabilityassistant/META-INF/MANIFEST.MF
index 2005ff83f10..864a4f7d717 100644
--- a/extraplugins/req/org.eclipse.papyrus.req.sysml.traceabilityassistant/META-INF/MANIFEST.MF
+++ b/extraplugins/req/org.eclipse.papyrus.req.sysml.traceabilityassistant/META-INF/MANIFEST.MF
@@ -13,7 +13,8 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.papyrus.uml.tools;bundle-version="0.9.0",
org.eclipse.papyrus.infra.emf;bundle-version="1.0.0",
org.eclipse.papyrus.infra.core,
- org.eclipse.papyrus.uml.extensionpoints
+ org.eclipse.papyrus.uml.extensionpoints,
+ org.eclipse.papyrus.infra.ui;bundle-version="1.2.0"
Bundle-ActivationPolicy: lazy
Export-Package: org.eclipse.papyrus.req.sysml.traceabilityassistant.analysis,
org.eclipse.papyrus.req.sysml.traceabilityassistant.command
diff --git a/extraplugins/req/org.eclipse.papyrus.req.sysml.traceabilityassistant/src/org/eclipse/papyrus/req/sysml/traceabilityassistant/handler/ApplyTracabilityHandler.java b/extraplugins/req/org.eclipse.papyrus.req.sysml.traceabilityassistant/src/org/eclipse/papyrus/req/sysml/traceabilityassistant/handler/ApplyTracabilityHandler.java
index 6573eeefab4..b188b25eeec 100644
--- a/extraplugins/req/org.eclipse.papyrus.req.sysml.traceabilityassistant/src/org/eclipse/papyrus/req/sysml/traceabilityassistant/handler/ApplyTracabilityHandler.java
+++ b/extraplugins/req/org.eclipse.papyrus.req.sysml.traceabilityassistant/src/org/eclipse/papyrus/req/sysml/traceabilityassistant/handler/ApplyTracabilityHandler.java
@@ -25,9 +25,9 @@ import org.eclipse.emf.transaction.RecordingCommand;
import org.eclipse.emf.transaction.TransactionalEditingDomain;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.IStructuredSelection;
-import org.eclipse.papyrus.infra.core.utils.EditorUtils;
import org.eclipse.papyrus.infra.emf.utils.EMFHelper;
import org.eclipse.papyrus.infra.emf.utils.ServiceUtilsForHandlers;
+import org.eclipse.papyrus.infra.ui.util.EditorUtils;
import org.eclipse.papyrus.req.sysml.traceabilityassistant.analysis.TracabilityAnalyzer;
import org.eclipse.papyrus.uml.extensionpoints.profile.RegisteredProfile;
import org.eclipse.papyrus.uml.extensionpoints.utils.Util;
diff --git a/extraplugins/revision/org.eclipse.papyrus.revisiontool/META-INF/MANIFEST.MF b/extraplugins/revision/org.eclipse.papyrus.revisiontool/META-INF/MANIFEST.MF
index 68436d5a42b..2f58390c8e4 100644
--- a/extraplugins/revision/org.eclipse.papyrus.revisiontool/META-INF/MANIFEST.MF
+++ b/extraplugins/revision/org.eclipse.papyrus.revisiontool/META-INF/MANIFEST.MF
@@ -32,7 +32,8 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.papyrus.uml.diagram.common;bundle-version="1.1.0",
org.eclipse.papyrus.infra.gmfdiag.common;bundle-version="1.1.0",
org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="1.1.0",
- org.eclipse.papyrus.infra.services.edit
+ org.eclipse.papyrus.infra.services.edit,
+ org.eclipse.papyrus.infra.ui;bundle-version="1.2.0"
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Export-Package: org.eclipse.papyrus.revision.tool,
org.eclipse.papyrus.revision.tool.core,
diff --git a/extraplugins/revision/org.eclipse.papyrus.revisiontool/src/org/eclipse/papyrus/revision/tool/core/ReviewResourceManager.java b/extraplugins/revision/org.eclipse.papyrus.revisiontool/src/org/eclipse/papyrus/revision/tool/core/ReviewResourceManager.java
index 0326df0d05c..93c417f6af0 100644
--- a/extraplugins/revision/org.eclipse.papyrus.revisiontool/src/org/eclipse/papyrus/revision/tool/core/ReviewResourceManager.java
+++ b/extraplugins/revision/org.eclipse.papyrus.revisiontool/src/org/eclipse/papyrus/revision/tool/core/ReviewResourceManager.java
@@ -44,11 +44,11 @@ import org.eclipse.emf.transaction.TransactionalEditingDomain;
import org.eclipse.jface.preference.IPreferenceStore;
import org.eclipse.jface.preference.PreferenceConverter;
import org.eclipse.jface.viewers.Viewer;
-import org.eclipse.papyrus.infra.core.editor.IMultiDiagramEditor;
import org.eclipse.papyrus.infra.core.resource.ModelSet;
import org.eclipse.papyrus.infra.core.resource.NotFoundException;
import org.eclipse.papyrus.infra.core.services.ServiceException;
import org.eclipse.papyrus.infra.core.services.ServicesRegistry;
+import org.eclipse.papyrus.infra.ui.editor.IMultiDiagramEditor;
import org.eclipse.papyrus.revision.tool.Activator;
import org.eclipse.papyrus.revision.tool.dialogs.CreateAuthorDialog;
import org.eclipse.papyrus.revision.tool.dialogs.CreateOrSelectReviewModelDialog;
diff --git a/extraplugins/revision/org.eclipse.papyrus.revisiontool/src/org/eclipse/papyrus/revision/tool/ui/ReviewsEditor.java b/extraplugins/revision/org.eclipse.papyrus.revisiontool/src/org/eclipse/papyrus/revision/tool/ui/ReviewsEditor.java
index 687f834ed42..c9ba262ac2f 100644
--- a/extraplugins/revision/org.eclipse.papyrus.revisiontool/src/org/eclipse/papyrus/revision/tool/ui/ReviewsEditor.java
+++ b/extraplugins/revision/org.eclipse.papyrus.revisiontool/src/org/eclipse/papyrus/revision/tool/ui/ReviewsEditor.java
@@ -33,8 +33,8 @@ import org.eclipse.jface.action.IToolBarManager;
import org.eclipse.jface.action.MenuManager;
import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.jface.viewers.TreeViewer;
-import org.eclipse.papyrus.infra.core.editor.IMultiDiagramEditor;
import org.eclipse.papyrus.infra.core.services.ServiceException;
+import org.eclipse.papyrus.infra.ui.editor.IMultiDiagramEditor;
import org.eclipse.papyrus.revision.tool.core.ReviewResourceManager;
import org.eclipse.swt.SWT;
import org.eclipse.swt.graphics.Font;
diff --git a/extraplugins/revision/org.eclipse.papyrus.revisiontool/src/org/eclipse/papyrus/revision/tool/ui/RevisonDiagLayer.java b/extraplugins/revision/org.eclipse.papyrus.revisiontool/src/org/eclipse/papyrus/revision/tool/ui/RevisonDiagLayer.java
index 5a953e9a184..7c0607b957e 100644
--- a/extraplugins/revision/org.eclipse.papyrus.revisiontool/src/org/eclipse/papyrus/revision/tool/ui/RevisonDiagLayer.java
+++ b/extraplugins/revision/org.eclipse.papyrus.revisiontool/src/org/eclipse/papyrus/revision/tool/ui/RevisonDiagLayer.java
@@ -26,8 +26,8 @@ import org.eclipse.gmf.runtime.diagram.ui.editparts.ConnectionEditPart;
import org.eclipse.gmf.runtime.diagram.ui.editparts.DiagramEditPart;
import org.eclipse.gmf.runtime.diagram.ui.editparts.GraphicalEditPart;
import org.eclipse.gmf.runtime.draw2d.ui.figures.PolylineConnectionEx;
-import org.eclipse.papyrus.infra.core.editor.IMultiDiagramEditor;
import org.eclipse.papyrus.infra.core.services.ServiceException;
+import org.eclipse.papyrus.infra.ui.editor.IMultiDiagramEditor;
import org.eclipse.papyrus.revision.tool.core.ReviewResourceManager;
import org.eclipse.papyrus.uml.diagram.common.part.UmlGmfDiagramEditor;
diff --git a/extraplugins/robotml/org.eclipse.papyrus.robotml.deployment/META-INF/MANIFEST.MF b/extraplugins/robotml/org.eclipse.papyrus.robotml.deployment/META-INF/MANIFEST.MF
index a176f4426e9..9ce1a317678 100644
--- a/extraplugins/robotml/org.eclipse.papyrus.robotml.deployment/META-INF/MANIFEST.MF
+++ b/extraplugins/robotml/org.eclipse.papyrus.robotml.deployment/META-INF/MANIFEST.MF
@@ -10,7 +10,8 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.gmf.runtime.notation.edit,
org.eclipse.emf.transaction,
org.eclipse.gmf.runtime.emf.commands.core,
- org.eclipse.papyrus.infra.core;bundle-version="1.2.0"
+ org.eclipse.papyrus.infra.core;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.ui;bundle-version="1.2.0"
Bundle-Vendor: %Bundle-Vendor
Bundle-ActivationPolicy: lazy
Bundle-Version: 1.2.0.qualifier
diff --git a/extraplugins/robotml/org.eclipse.papyrus.robotml.deployment/src/org/eclipse/papyrus/robotml/deployment/CommandSupport.java b/extraplugins/robotml/org.eclipse.papyrus.robotml.deployment/src/org/eclipse/papyrus/robotml/deployment/CommandSupport.java
index 536afd69543..a62ca93266d 100644
--- a/extraplugins/robotml/org.eclipse.papyrus.robotml.deployment/src/org/eclipse/papyrus/robotml/deployment/CommandSupport.java
+++ b/extraplugins/robotml/org.eclipse.papyrus.robotml.deployment/src/org/eclipse/papyrus/robotml/deployment/CommandSupport.java
@@ -23,7 +23,7 @@ import org.eclipse.emf.transaction.TransactionalEditingDomain;
import org.eclipse.gmf.runtime.common.core.command.CommandResult;
import org.eclipse.gmf.runtime.emf.commands.core.command.AbstractTransactionalCommand;
import org.eclipse.papyrus.infra.core.services.ServiceException;
-import org.eclipse.papyrus.infra.core.utils.ServiceUtilsForActionHandlers;
+import org.eclipse.papyrus.infra.ui.util.ServiceUtilsForActionHandlers;
/**
* Utility function. Allow execution of commands on a transactional command stack
diff --git a/extraplugins/robotml/org.eclipse.papyrus.robotml.deployment/src/org/eclipse/papyrus/robotml/deployment/Utils.java b/extraplugins/robotml/org.eclipse.papyrus.robotml.deployment/src/org/eclipse/papyrus/robotml/deployment/Utils.java
index fd8c16946b6..5417b424910 100644
--- a/extraplugins/robotml/org.eclipse.papyrus.robotml.deployment/src/org/eclipse/papyrus/robotml/deployment/Utils.java
+++ b/extraplugins/robotml/org.eclipse.papyrus.robotml.deployment/src/org/eclipse/papyrus/robotml/deployment/Utils.java
@@ -23,7 +23,7 @@ import org.eclipse.emf.common.util.UniqueEList;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.resource.Resource;
import org.eclipse.papyrus.infra.core.services.ServiceException;
-import org.eclipse.papyrus.infra.core.utils.ServiceUtilsForActionHandlers;
+import org.eclipse.papyrus.infra.ui.util.ServiceUtilsForActionHandlers;
import org.eclipse.uml2.uml.AggregationKind;
import org.eclipse.uml2.uml.Class;
import org.eclipse.uml2.uml.Classifier;
diff --git a/extraplugins/robotml/org.eclipse.papyrus.robotml.diagram.common/META-INF/MANIFEST.MF b/extraplugins/robotml/org.eclipse.papyrus.robotml.diagram.common/META-INF/MANIFEST.MF
index 58c7a87c54e..a6773a15808 100644
--- a/extraplugins/robotml/org.eclipse.papyrus.robotml.diagram.common/META-INF/MANIFEST.MF
+++ b/extraplugins/robotml/org.eclipse.papyrus.robotml.diagram.common/META-INF/MANIFEST.MF
@@ -20,7 +20,9 @@ Require-Bundle: org.eclipse.core.runtime,
org.eclipse.papyrus.uml.diagram.communication;bundle-version="1.2.0",
org.eclipse.ui.ide;bundle-version="3.9.0",
org.eclipse.gmf.runtime.notation.edit,
- org.eclipse.papyrus.uml.diagram.clazz;bundle-version="1.2.0"
+ org.eclipse.papyrus.uml.diagram.clazz;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.ui;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.core.sasheditor;bundle-version="1.2.0"
Bundle-Vendor: %Bundle-Vendor
Bundle-ActivationPolicy: lazy
Bundle-Version: 1.2.0.qualifier
diff --git a/extraplugins/robotml/org.eclipse.papyrus.robotml.diagram.common/plugin.xml b/extraplugins/robotml/org.eclipse.papyrus.robotml.diagram.common/plugin.xml
index f851808ece4..b2fcb80fff4 100644
--- a/extraplugins/robotml/org.eclipse.papyrus.robotml.diagram.common/plugin.xml
+++ b/extraplugins/robotml/org.eclipse.papyrus.robotml.diagram.common/plugin.xml
@@ -2,7 +2,7 @@
<?eclipse version="3.4"?>
<plugin>
<extension
- point="org.eclipse.papyrus.infra.core.papyrusDiagram">
+ point="org.eclipse.papyrus.infra.ui.papyrusDiagram">
<diagramCategory
class="org.eclipse.papyrus.robotml.diagram.common.commands.CreateRobotmlModelCommand"
description="RobotML diagrams"
diff --git a/extraplugins/robotml/org.eclipse.papyrus.robotml.diagram.common/src/org/eclipse/papyrus/robotml/diagram/common/utils/RobotmlSelectionTester.java b/extraplugins/robotml/org.eclipse.papyrus.robotml.diagram.common/src/org/eclipse/papyrus/robotml/diagram/common/utils/RobotmlSelectionTester.java
index b2677f7e1d3..eee9e4b07a2 100644
--- a/extraplugins/robotml/org.eclipse.papyrus.robotml.diagram.common/src/org/eclipse/papyrus/robotml/diagram/common/utils/RobotmlSelectionTester.java
+++ b/extraplugins/robotml/org.eclipse.papyrus.robotml.diagram.common/src/org/eclipse/papyrus/robotml/diagram/common/utils/RobotmlSelectionTester.java
@@ -19,10 +19,10 @@ import org.eclipse.emf.common.util.URI;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.IStructuredSelection;
-import org.eclipse.papyrus.infra.core.editor.IMultiDiagramEditor;
import org.eclipse.papyrus.infra.core.resource.ModelSet;
import org.eclipse.papyrus.infra.core.resource.ModelsReader;
import org.eclipse.papyrus.infra.emf.utils.ServiceUtilsForSelection;
+import org.eclipse.papyrus.infra.ui.editor.IMultiDiagramEditor;
import org.eclipse.papyrus.uml.tools.model.UmlModel;
import org.eclipse.ui.IEditorPart;
import org.eclipse.ui.PlatformUI;
diff --git a/extraplugins/soaml/org.eclipse.papyrus.soaml.diagram.common/META-INF/MANIFEST.MF b/extraplugins/soaml/org.eclipse.papyrus.soaml.diagram.common/META-INF/MANIFEST.MF
index cac8d275dd1..666ce98bcfd 100644
--- a/extraplugins/soaml/org.eclipse.papyrus.soaml.diagram.common/META-INF/MANIFEST.MF
+++ b/extraplugins/soaml/org.eclipse.papyrus.soaml.diagram.common/META-INF/MANIFEST.MF
@@ -11,7 +11,8 @@ Require-Bundle: org.eclipse.papyrus.infra.core,
org.eclipse.papyrus.infra.viewpoints.policy,
org.eclipse.papyrus.infra.gmfdiag.common,
org.eclipse.core.expressions,
- org.eclipse.papyrus.uml.diagram.communication
+ org.eclipse.papyrus.uml.diagram.communication,
+ org.eclipse.papyrus.infra.ui;bundle-version="1.2.0"
Export-Package: org.eclipse.papyrus.soaml.diagram.common.commands
Bundle-Vendor: %Bundle-Vendor
Bundle-ActivationPolicy: lazy
diff --git a/extraplugins/soaml/org.eclipse.papyrus.soaml.diagram.common/plugin.xml b/extraplugins/soaml/org.eclipse.papyrus.soaml.diagram.common/plugin.xml
index f49eb05064b..265e28c1f0c 100644
--- a/extraplugins/soaml/org.eclipse.papyrus.soaml.diagram.common/plugin.xml
+++ b/extraplugins/soaml/org.eclipse.papyrus.soaml.diagram.common/plugin.xml
@@ -2,7 +2,7 @@
<?eclipse version="3.4"?>
<plugin>
<extension
- point="org.eclipse.papyrus.infra.core.papyrusDiagram">
+ point="org.eclipse.papyrus.infra.ui.papyrusDiagram">
<diagramCategory
class="org.eclipse.papyrus.soaml.diagram.common.commands.CreateSoamlModelCommand"
description="SoaML diagrams"
diff --git a/extraplugins/soaml/org.eclipse.papyrus.soaml.diagram.common/src/org/eclipse/papyrus/soaml/diagram/common/utils/SoamlSelectionTester.java b/extraplugins/soaml/org.eclipse.papyrus.soaml.diagram.common/src/org/eclipse/papyrus/soaml/diagram/common/utils/SoamlSelectionTester.java
index 6633234eff6..2af9390d38b 100644
--- a/extraplugins/soaml/org.eclipse.papyrus.soaml.diagram.common/src/org/eclipse/papyrus/soaml/diagram/common/utils/SoamlSelectionTester.java
+++ b/extraplugins/soaml/org.eclipse.papyrus.soaml.diagram.common/src/org/eclipse/papyrus/soaml/diagram/common/utils/SoamlSelectionTester.java
@@ -19,13 +19,13 @@ import org.eclipse.emf.common.util.URI;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.IStructuredSelection;
-import org.eclipse.papyrus.infra.core.editor.IMultiDiagramEditor;
import org.eclipse.papyrus.infra.core.resource.ModelMultiException;
import org.eclipse.papyrus.infra.core.resource.ModelSet;
import org.eclipse.papyrus.infra.core.resource.ModelsReader;
import org.eclipse.papyrus.infra.core.resource.NotFoundException;
import org.eclipse.papyrus.infra.core.services.ServiceException;
import org.eclipse.papyrus.infra.emf.utils.ServiceUtilsForSelection;
+import org.eclipse.papyrus.infra.ui.editor.IMultiDiagramEditor;
import org.eclipse.papyrus.soaml.diagram.common.Activator;
import org.eclipse.papyrus.uml.tools.model.UmlModel;
import org.eclipse.ui.IEditorPart;
diff --git a/extraplugins/uml/org.eclipse.papyrus.uml.export/META-INF/MANIFEST.MF b/extraplugins/uml/org.eclipse.papyrus.uml.export/META-INF/MANIFEST.MF
index fe6fbfa1866..49de89e1ec5 100644
--- a/extraplugins/uml/org.eclipse.papyrus.uml.export/META-INF/MANIFEST.MF
+++ b/extraplugins/uml/org.eclipse.papyrus.uml.export/META-INF/MANIFEST.MF
@@ -20,7 +20,8 @@ Require-Bundle: org.eclipse.papyrus.views.modelexplorer;bundle-version="1.2.0",
org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.6.0",
org.eclipse.papyrus.infra.core.sasheditor;bundle-version="1.2.0",
org.eclipse.papyrus.uml.tools;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0"
+ org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.ui;bundle-version="1.2.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 1.2.0.qualifier
diff --git a/extraplugins/uml/org.eclipse.papyrus.uml.export/src/org/eclipse/papyrus/uml/export/util/AreThereAppliedProfilesFromWS.java b/extraplugins/uml/org.eclipse.papyrus.uml.export/src/org/eclipse/papyrus/uml/export/util/AreThereAppliedProfilesFromWS.java
index 1c953f5bb19..de86361af97 100644
--- a/extraplugins/uml/org.eclipse.papyrus.uml.export/src/org/eclipse/papyrus/uml/export/util/AreThereAppliedProfilesFromWS.java
+++ b/extraplugins/uml/org.eclipse.papyrus.uml.export/src/org/eclipse/papyrus/uml/export/util/AreThereAppliedProfilesFromWS.java
@@ -15,11 +15,11 @@ package org.eclipse.papyrus.uml.export.util;
import org.eclipse.core.expressions.PropertyTester;
import org.eclipse.emf.ecore.EObject;
-import org.eclipse.papyrus.infra.core.editor.IMultiDiagramEditor;
import org.eclipse.papyrus.infra.core.resource.NotFoundException;
import org.eclipse.papyrus.infra.core.services.ServiceException;
import org.eclipse.papyrus.infra.core.services.ServicesRegistry;
import org.eclipse.papyrus.infra.core.utils.ServiceUtils;
+import org.eclipse.papyrus.infra.ui.editor.IMultiDiagramEditor;
import org.eclipse.papyrus.uml.export.Activator;
import org.eclipse.papyrus.uml.tools.model.UmlModel;
import org.eclipse.ui.IEditorPart;
diff --git a/extraplugins/umlrt/org.eclipse.papyrus.umlrt.wizard/META-INF/MANIFEST.MF b/extraplugins/umlrt/org.eclipse.papyrus.umlrt.wizard/META-INF/MANIFEST.MF
index 492fa5e3eb2..f62df56ce8c 100644
--- a/extraplugins/umlrt/org.eclipse.papyrus.umlrt.wizard/META-INF/MANIFEST.MF
+++ b/extraplugins/umlrt/org.eclipse.papyrus.umlrt.wizard/META-INF/MANIFEST.MF
@@ -6,7 +6,8 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.papyrus.uml.diagram.common;bundle-version="1.2.0",
org.eclipse.papyrus.uml.tools.utils;bundle-version="1.2.0",
org.eclipse.papyrus.infra.core;bundle-version="1.2.0",
- org.eclipse.ui.ide;bundle-version="3.9.0"
+ org.eclipse.ui.ide;bundle-version="3.9.0",
+ org.eclipse.papyrus.infra.ui;bundle-version="1.2.0"
Bundle-Vendor: Eclipse Modeling Project
Bundle-ActivationPolicy: lazy
Bundle-Version: 1.2.0.qualifier

Back to the top